Automatically generated by Makefile

 bf347371 / Sun, 10 Nov 2024 17:14:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update CodeQL Action v2 to v3

 fd88b514 / Sun, 10 Nov 2024 17:03:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update with libfuse3

 00d8f56a / Sun, 10 Nov 2024 16:59:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update with Fuse 3

 d0d5195a / Sun, 10 Nov 2024 16:58:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update prequisites with Fuse 3

 1a4d8375 / Sun, 10 Nov 2024 16:26:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move from Fuse 2 to Fuse 3 API

 40944bed / Sun, 6 Oct 2024 08:41:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bring news up to date

 efd6821c / Tue, 1 Oct 2024 21:39:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use std::shared/unique_ptr to avoid memory leaks

 e029bd9f / Tue, 1 Oct 2024 20:48:56 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add std::nothrow to new calls

 05d21280 / Tue, 1 Oct 2024 20:36:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove unnecessary variables

 22fa9e89 / Tue, 1 Oct 2024 20:31:56 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change enum to enum class

 297fe62a / Tue, 1 Oct 2024 19:51:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace C-style arrays with std::array

 65034a2a / Tue, 1 Oct 2024 18:49:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Ignore annoying warnings in FFmmpeg headers

 6223a195 / Sun, 22 Sep 2024 16:38:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #164: Allow jumping back in time to lower HLS segments

 754655ce / Sun, 22 Sep 2024 16:32:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log more details about buffer::reserve errors

 682859e1 / Fri, 9 Aug 2024 21:22:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove experimental code

 012378b6 / Fri, 9 Aug 2024 09:58:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Changed quality from 34 to 40 for hardware encoded video streams to create slightly smaller files.

 cae2930d / Fri, 9 Aug 2024 09:50:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #162: If not present, add time stamps to the copied streams

 44ed90cc / Fri, 9 Aug 2024 09:49:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add current 2.17 to history

 e70809b6 / Fri, 9 Aug 2024 09:48:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * 'Closes' does not work in Github, replaced with 'Issue'

 bb0af93e / Thu, 8 Aug 2024 09:37:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #161: Edit documentation of --autocopy in connection with --audio/videcodec

 e15605e4 / Wed, 7 Aug 2024 22:25:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update Doxygen comments

 01610b94 / Wed, 7 Aug 2024 22:11:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update to V2.17

 873ad163 / Wed, 7 Aug 2024 22:10:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix format

 75804391 / Wed, 7 Aug 2024 22:09:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update to Doxygen 1.9.4

 beaecfbf / Wed, 7 Aug 2024 22:09:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update code to C++17

 22110e42 / Wed, 7 Aug 2024 22:00:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring: preloading static variables

 070b4b44 / Wed, 7 Aug 2024 21:59:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make log entries for unsupported sample/video/audio formats more concise

 47b6f371 / Wed, 7 Aug 2024 21:56:25 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Amend doxygen comments

 47931037 / Wed, 7 Aug 2024 21:55:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 269a8476 / Wed, 7 Aug 2024 21:54:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove unused includes

 d8144119 / Thu, 13 Jun 2024 21:30:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.17

 542697f1 / Thu, 13 Jun 2024 05:24:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix watch line to current Github structure

 eefbadeb / Thu, 13 Jun 2024 05:23:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * (c) to 2024

 11efa6b0 / Mon, 10 Jun 2024 20:43:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update formatting

 03366d5e / Mon, 10 Jun 2024 19:16:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare release 2.16

 392ebe51 / Mon, 10 Jun 2024 09:16:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update docs

 7cd5f5dd / Mon, 10 Jun 2024 09:15:39 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fixed deprecation: 2014-05-18 - 68c0518 / fd05602 - lavc 55.63.100 / 55.52.0 - avcodec.h Add avcodec_free_context(). From now on it should be used for freeing AVCodecContext.

 455e4c17 / Mon, 10 Jun 2024 09:14:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fixed deprecation: 2023-05-15 - 7d1d61cc5f5 - lavc 60 - avcodec.h Depreate AVCodecContext.ticks_per_frame in favor of AVCodecContext.framerate (encoding) and AV_CODEC_PROP_FIELDS (decoding).

 288b7450 / Mon, 10 Jun 2024 09:12:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bugfix: Closes#1072412: Fix build with FFmpeg 7.0. write_packet() now with const buffer as of Libavformat 61+.

 dc020311 / Mon, 10 Jun 2024 09:00:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax error: duplicate 'in'

 7702ff4a / Mon, 10 Jun 2024 08:58:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Logging: Generated format specifier was missing the \0

 ff03576a / Mon, 10 Jun 2024 08:56:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix docs: Sample rate is in Hz, not kHz

 d2879e40 / Mon, 10 Jun 2024 08:55:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix case fallthrough warnings

 61c2d5e3 / Fri, 19 Apr 2024 21:34:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use new condensed syntax for format strings in logging

 051c746a / Fri, 19 Apr 2024 21:28:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable condensed logging format strings: Allow %<f>n instead of %<%f>n Also fixes problems with mistakeable strings like %<%02x>n

 cd8c64d9 / Tue, 13 Feb 2024 20:52:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.16

 16b8fceb / Tue, 13 Feb 2024 20:42:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable std::string objects to be passed to logging

 dbe1498a / Sat, 3 Feb 2024 20:38:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Get release 2.15 ready

 9c2ad450 / Sun, 21 Jan 2024 23:12:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 200a3fa0 / Sun, 21 Jan 2024 20:19:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 48eb91cf / Sat, 20 Jan 2024 21:47:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #156: AV1 not supported yet

 de159194 / Thu, 18 Jan 2024 16:11:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #136: dumped and even more cmake remains

 eea712b6 / Thu, 18 Jan 2024 16:07:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #136: hopefully now removed all cmake builds

 0429ddf6 / Thu, 18 Jan 2024 07:54:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #136: remove from Github build

 b64f812f / Thu, 18 Jan 2024 07:53:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * List of versions now up-to-date

 ac1000bf / Thu, 18 Jan 2024 07:25:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #136: Documentation

 f63fd2b3 / Thu, 18 Jan 2024 07:14:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #136: The CMake build files have been removed. Support was never more than experimental, and CMake lacks a good uninstall option. Will stick to automake systems from now on.

 e2e62fc4 / Wed, 17 Jan 2024 17:17:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat, added bugfix infos

 6b2bd159 / Wed, 17 Jan 2024 17:16:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * (c) to 2024

 9547df13 / Sat, 13 Jan 2024 22:09:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #153: added description for  --include_extensions parameter

 8d165553 / Wed, 20 Dec 2023 13:08:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #151: Update fix list

 705aef3f / Wed, 20 Dec 2023 11:36:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #152 from mihaiush/master

 fcd5ffa1 / Wed, 20 Dec 2023 08:30:12 +0200
 Mihai Craiu <mihai.craiu@1and1.ro>
  * fix "cannot pass object ... through variadic function"

 c6bab015 / Tue, 19 Dec 2023 19:44:36 +0200
 Mihai Craiu <mihai.craiu@1and1.ro>
  * check if stream audio/video in FFmpeg_Transcoder::can_copy_stream

 dc593957 / Tue, 19 Dec 2023 17:51:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 97432d8b / Fri, 8 Dec 2023 08:20:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better put xxd in main list

 5517c7e5 / Fri, 8 Dec 2023 08:18:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * xxd was missing

 e3f10737 / Sun, 10 Sep 2023 17:12:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Standards-Version: 4.6.2 Fix release URL

 481ddbbe / Thu, 31 Aug 2023 21:20:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Suppress single errors inline

 7cc0c2a8 / Tue, 29 Aug 2023 05:35:45 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix: Condition 'version_major_l==version_major_r' is always true

 1a938da6 / Tue, 29 Aug 2023 05:32:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added comment

 bde4c73d / Tue, 29 Aug 2023 05:23:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revert "Fix cppcheck: Condition 'decoded' is always true [knownConditionTrueFalse]"

 bd4a7220 / Tue, 29 Aug 2023 05:22:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix: performance: Ineffective call of function 'substr'

 4d7b6b54 / Tue, 29 Aug 2023 05:22:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix: Redundant condition

 f3c8f764 / Tue, 29 Aug 2023 05:21:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix ccppcheck: Suppress ridiculous warning

 8f7d0962 / Tue, 29 Aug 2023 05:20:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix ccppcheck: information: Unmatched suppression: unusedStructMember

 794f9d29 / Sun, 27 Aug 2023 21:49:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: The scope of the variable 'fullname' can be reduced.

 88ffc220 / Sun, 27 Aug 2023 21:29:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Condition 'decoded' is always true [knownConditionTrueFalse]

 a8eca334 / Sun, 27 Aug 2023 21:28:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Condition 'data_present' is always true [knownConditionTrueFalse]

 c92971b4 / Sun, 27 Aug 2023 21:04:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: scope of the variable 'master_contents' can be reduced.

 4d2dc523 / Sun, 27 Aug 2023 20:59:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Variable can be declared as reference to const [constVariable]

 4870d040 / Sun, 27 Aug 2023 20:57:39 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Local variable shadows outer function/variable

 0e417496 / Sun, 27 Aug 2023 20:36:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Member variable 'Cache_Entry::m_suspend_timeout' is not initialized in the constructor. [uninitMemberVarPrivate]

 833491ff / Sun, 27 Aug 2023 20:33:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Local variable 'level_map' shadows outer variable [shadowVariable]

 d3ec4404 / Sun, 27 Aug 2023 20:21:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Variable 'ci' can be declared as reference to const

 8374cebd / Sun, 27 Aug 2023 20:20:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Local variable 'cachefile' shadows outer function

 eb362b6a / Sun, 27 Aug 2023 20:18:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix cppcheck: Condition 'ci->m_buffer_size!=segment_size' is always false

 6c8a3165 / Sun, 27 Aug 2023 18:59:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix file sizes to new FFmpeg API

 cd372010 / Sun, 27 Aug 2023 18:58:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * V2.15 date to 08/2023

 fe54b06f / Sun, 27 Aug 2023 18:58:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.15

 005c12f0 / Fri, 7 Jul 2023 05:14:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add V2.13/14

 40832445 / Thu, 6 Jul 2023 21:39:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set development version to 2.14 Fix deprecations in FFmpeg 6.x

 b95ece14 / Thu, 15 Jun 2023 21:25:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update docker image for Debian Bookworm

 4452aebc / Thu, 15 Jun 2023 21:22:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update docker image for Debian Bookworm

 180d88b0 / Thu, 15 Jun 2023 20:55:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare v2.14

 a8d33438 / Thu, 15 Jun 2023 20:54:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes#1037653: Fix build with GCC-13

 db6947ee / Wed, 17 May 2023 07:08:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 bbf89140 / Fri, 12 May 2023 21:45:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set V2.14 date to 05/23

 eaf2aeec / Thu, 27 Apr 2023 19:05:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Projects renamed, removed (). Would not build every now or then

 a3db7358 / Thu, 27 Apr 2023 17:42:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enforce more binary security

 f90dbc66 / Thu, 27 Apr 2023 17:42:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Parameter size should be index_to_replace in format_helper overload

 69356277 / Thu, 27 Apr 2023 17:40:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix some typos in doxygen comments

 b8395384 / Thu, 27 Apr 2023 17:39:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Should end timeout suspension; otherwise, read may hang.

 7fa559c1 / Thu, 27 Apr 2023 17:39:25 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Should report every cache hit, even after misses

 605b2f06 / Tue, 14 Mar 2023 02:31:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #146: Fix build with FFmpeg 6

 122c2696 / Sun, 26 Feb 2023 00:06:02 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix typo in Doxygen comment

 c2d4df1f / Sat, 25 Feb 2023 19:15:45 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Revisited misleading paragraph

 875bbe00 / Sat, 25 Feb 2023 18:39:09 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Documentation

 fefd1dda / Sat, 25 Feb 2023 18:18:31 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #144: revert memmove to memcpy

 15f0ef58 / Sat, 25 Feb 2023 16:27:31 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Add missing Doxygen comment

 36e496f7 / Sat, 25 Feb 2023 16:24:27 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #143: additional thread synchronisation

 c0dbe3f5 / Sat, 25 Feb 2023 16:20:46 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Refactoring and more c++17 constructs

 2454505e / Sat, 25 Feb 2023 02:12:00 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #143: Added some missing synchronisation objects

 246960a3 / Sat, 25 Feb 2023 02:10:33 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix logging: got confused which HLS segment log entries where about

 c86e1102 / Thu, 23 Feb 2023 09:40:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Force rebuild

 9ac25659 / Thu, 23 Feb 2023 09:32:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Force rebuild

 ad6b9e62 / Thu, 23 Feb 2023 09:25:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 f72548c1 / Thu, 23 Feb 2023 09:24:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Capitalise headlines

 31212744 / Thu, 23 Feb 2023 09:23:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Renamed built-in logfiles to *_builtin.log

 709db3c6 / Thu, 23 Feb 2023 09:20:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited: corrected grammar, rephrased some parts

 a8f7d5c9 / Thu, 23 Feb 2023 09:19:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #144 is not yet fixed, removed from fix list

 6fd9ca12 / Thu, 23 Feb 2023 09:18:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Do not forcibly rebuild all every time

 d1732e8e / Mon, 20 Feb 2023 18:48:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 5627f4b8 / Mon, 20 Feb 2023 17:36:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #144: Using memmove instead of memcpy (although no overlap occurs, seems to fix the issue

 130f293b / Mon, 20 Feb 2023 17:31:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * When transferring from cache to Fuse buffer, avoid a possible 1 byte overrun

 6721dabe / Mon, 20 Feb 2023 17:26:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup #includes

 4291f3ba / Mon, 20 Feb 2023 17:23:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace memset/memcpy with std:memset/std::memcpy

 bed02944 / Sat, 18 Feb 2023 20:52:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited

 4fccf9c3 / Sat, 18 Feb 2023 19:11:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #143: do not try to copy zero sized memory blocks

 e5a8825e / Sat, 18 Feb 2023 13:39:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 95a9eacf / Fri, 17 Feb 2023 21:37:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Constructors have no return code

 64346dd9 / Fri, 17 Feb 2023 21:34:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Constructors have no return code

 3caa1bfe / Fri, 17 Feb 2023 21:23:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Doxygen: hwdevice_ctx_free() has no return code

 4ace1d21 / Fri, 17 Feb 2023 19:31:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Report internal error if size(segment_no) fails

 3d6d0be1 / Thu, 16 Feb 2023 20:42:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 a689c383 / Thu, 16 Feb 2023 20:40:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Frame sets: ignore fuse_interrupted

 40c294c1 / Thu, 16 Feb 2023 20:39:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * fuse_interrupted is no error. Return ERROR_SUCCES (though by design there is noone to receive it)

 1a19f9e3 / Thu, 16 Feb 2023 20:38:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Return errno=EINTR on thread_exit

 875386de / Thu, 16 Feb 2023 20:35:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix seek requests that are being ignored with frame sets.

 7bdc6459 / Thu, 16 Feb 2023 20:31:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix PTS to frame number and vice versa conversion

 2a1768d8 / Thu, 16 Feb 2023 20:29:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Changed log entry which was a bit unclear

 593c33c2 / Tue, 14 Feb 2023 14:21:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doygen comments

 4e66687b / Sun, 12 Feb 2023 14:32:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move code/packing status up

 155d8ccc / Sun, 12 Feb 2023 14:32:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhance readability of the logs

 bc04d86a / Sun, 12 Feb 2023 12:53:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove duplicated issue

 6c7aa21e / Sat, 11 Feb 2023 23:06:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * JPG frame set images may be 1 tooting byte larger

 78b305b1 / Sat, 11 Feb 2023 23:03:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 1ab7e791 / Sat, 11 Feb 2023 23:03:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Silence make output

 8bea5986 / Sat, 11 Feb 2023 22:55:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Archive all results

 4134a309 / Sat, 11 Feb 2023 22:47:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update the following actions to use Node.js 16: actions/checkout@v2, actions/upload-artifact@v2

 8bac3b3e / Sat, 11 Feb 2023 22:36:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Speed up builds

 7b1b57c7 / Sat, 11 Feb 2023 22:25:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Debian 12 GCC is now at V12.2.0

 4062ed0f / Sat, 11 Feb 2023 22:21:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #119: Fix frame set generation

 7a9aa614 / Sat, 11 Feb 2023 09:26:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace defines with const int

 0e64be50 / Sat, 11 Feb 2023 09:23:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log EOFs more explicitly

 d47203a0 / Fri, 10 Feb 2023 23:54:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use reentrant replacement function 'localtime_r'

 ee5065e8 / Fri, 10 Feb 2023 23:53:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Initialise all variables in CACHEINFO

 df8239aa / Fri, 10 Feb 2023 22:16:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 7352d2fa / Fri, 10 Feb 2023 22:12:02 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 cf87efc4 / Fri, 10 Feb 2023 22:10:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in comment

 bc4804fc / Fri, 10 Feb 2023 09:56:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid crash when cache object is deleted

 3fc59a53 / Fri, 10 Feb 2023 09:47:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Improved readability of log output

 2ba6d9d5 / Thu, 9 Feb 2023 20:19:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 cf32ae00 / Thu, 9 Feb 2023 12:22:11 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added file size check to frame set checks

 0c1fa0dc / Thu, 9 Feb 2023 12:18:29 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better readable output of size check

 165c692a / Thu, 9 Feb 2023 12:17:16 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Package name fpr cppcheck was accidentally called XXX

 4b873f6a / Thu, 9 Feb 2023 12:16:24 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 40ea1fc7 / Thu, 9 Feb 2023 12:14:59 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bugfix: Use AVSEEK_FLAG_FRAME for frame sets

 909e05bc / Thu, 9 Feb 2023 12:09:35 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited log entries

 c41fe13c / Thu, 9 Feb 2023 12:04:45 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 924c6841 / Thu, 9 Feb 2023 12:04:27 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rearrange includes

 e7204043 / Thu, 9 Feb 2023 12:03:22 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 a31e6dbc / Thu, 9 Feb 2023 12:03:06 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * If cache path does not exist, ignore silently

 1048c73c / Thu, 9 Feb 2023 12:02:21 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * 'Clean up

 ca48f989 / Thu, 9 Feb 2023 12:01:52 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * 'Mapping cache file* log entry is just trace, not error. Change size to be human readable.

 191d9e8b / Thu, 9 Feb 2023 12:00:42 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use speaking names fpr lock_guards instead of just lock

 07a4cb44 / Thu, 9 Feb 2023 11:53:17 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * cp to temp directory instead of /dev/null Use -p parameter with cp

 9f9736e6 / Thu, 9 Feb 2023 11:53:02 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Note use of -p parameter in cp operations

 07ee39fb / Sat, 4 Feb 2023 20:52:38 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Changed mutex names to better match purpose

 61871469 / Sat, 4 Feb 2023 11:25:01 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 5264e128 / Sat, 4 Feb 2023 11:19:12 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid crash during shutdown if cache object had already been closed

 4fe760d0 / Sat, 4 Feb 2023 11:17:46 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 40b71d05 / Sat, 4 Feb 2023 11:12:11 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use std::this_thread::yield() in place of sleep(0)

 eff9e551 / Sat, 4 Feb 2023 11:09:35 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhancement: Record milliseconds for every log event

 0eb83c23 / Sat, 4 Feb 2023 11:08:52 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove trailing / from file names

 b9c6841d / Sat, 4 Feb 2023 11:05:18 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use std::this_thread::sleep_for replacing of own sleep() implementations

 02b37267 / Sat, 4 Feb 2023 10:52:27 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove superfluous include transcode.h\nMove ffmpegfs.h to cc

 c2ea6be0 / Sat, 4 Feb 2023 10:43:32 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * FFmpeg_Transcoder::process_single_fr(): use new DECODER_STATUS enum instead of magic numbers

 e85d7649 / Sat, 4 Feb 2023 10:34:25 +0300
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace volatile variables with std::atomic

 5fb503e7 / Sat, 4 Feb 2023 07:30:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #142 from Longhao-Chen/patch-1

 e4bcbbec / Sat, 4 Feb 2023 14:17:22 +0800
 Longhao.Chen <Longhao.Chen@outlook.com>
  * Fix minor typos in man page

 210f7c55 / Thu, 2 Feb 2023 06:58:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing underscores to index_0_av.m3u8

 23e269c1 / Thu, 2 Feb 2023 06:48:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix type: senconds -> seconds

 97764eb3 / Thu, 2 Feb 2023 06:42:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove forgotten debug log entry

 0b4a4727 / Wed, 1 Feb 2023 16:38:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Manual reverse merge from windows branch

 653eab6f / Wed, 1 Feb 2023 15:23:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update seek request AFTER decoding a frame

 ac4598c6 / Wed, 1 Feb 2023 09:02:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Date to 02/23

 8c6fb2cd / Wed, 1 Feb 2023 08:48:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid reallocations: restore cache size after invalidation

 767415c9 / Wed, 1 Feb 2023 08:43:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid race condition causing the inter-process semaphore creation to fail for sencond process

 69d68978 / Wed, 1 Feb 2023 08:32:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid reallocations: reserve sufficient space for whole frame set

 3f1fb884 / Wed, 1 Feb 2023 08:31:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add last_seek_frame_no() accessor

 291623a3 / Wed, 1 Feb 2023 08:31:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 1b57e0e0 / Wed, 1 Feb 2023 08:30:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Frame sets: do not call read_frame over when first call succeeded

 d3f2da46 / Wed, 1 Feb 2023 08:28:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix comment

 76fd5050 / Wed, 1 Feb 2023 08:28:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Frame set check with regexp actually checked the same files over

 7ef89fe7 / Wed, 25 Jan 2023 19:51:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Checking folders to see if they can be transcoded is completely pointless. Directories are now immediately skipped.

 702a931f / Mon, 23 Jan 2023 13:35:39 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Define preallocation factor as PREALLOC_FACTOR const

 43ad4eac / Mon, 23 Jan 2023 13:35:06 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Report "stop_timer(): timer_delete failed" if errno != 0 only

 a0b09a28 / Mon, 16 Jan 2023 18:45:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix warning

 a5fbd2da / Sun, 15 Jan 2023 21:25:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #141: Documentation

 fd438844 / Sun, 15 Jan 2023 21:23:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 405921b9 / Sun, 15 Jan 2023 21:22:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Version to 2.14

 029f3648 / Sun, 15 Jan 2023 20:57:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #141: Reduce allocations by grabbing larger blocks Allocate full expected file size right when opening instead of getting one small block first

 f47989d4 / Sun, 15 Jan 2023 12:00:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Date of v2.13

 97548973 / Sun, 15 Jan 2023 11:45:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add V2.13

 dd9c7bb1 / Sun, 15 Jan 2023 08:58:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare 2.13 release

 b857c2b7 / Sun, 15 Jan 2023 08:12:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Also include CC0 1.0 Universal license into dist

 c49e713c / Sat, 14 Jan 2023 21:29:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Released Windows version

 53cff28b / Sat, 14 Jan 2023 16:12:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 a7859c31 / Fri, 13 Jan 2023 22:40:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Mention windows under development

 336a1b83 / Fri, 13 Jan 2023 22:40:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix misaligned log entries

 0817ca8e / Thu, 12 Jan 2023 17:56:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 ae19f23b / Thu, 12 Jan 2023 17:26:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Date to 1/2023

 f2baac27 / Thu, 12 Jan 2023 17:25:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fixe crash in implode()

 58460da9 / Thu, 12 Jan 2023 17:20:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix crash in implode() when empty string was passed (windows only)

 3d377a7b / Thu, 12 Jan 2023 17:19:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * libcue 2.1.0 is sufficient, lowered version requirement

 99407067 / Thu, 12 Jan 2023 17:18:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Pass error conditions to make utility

 dd06460e / Thu, 12 Jan 2023 17:17:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * ffmpegfs_statfs() should never return an error

 52c4f2a4 / Thu, 12 Jan 2023 17:16:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix crash in implode() when empty string was passed (windows only)

 45f8a3fb / Thu, 12 Jan 2023 17:14:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format problems fixed

 5de4b35d / Sat, 7 Jan 2023 20:05:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos in comments

 457a3f9f / Fri, 6 Jan 2023 21:19:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen

 1af8c1b9 / Fri, 6 Jan 2023 10:38:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in comment

 c39fdb9e / Fri, 6 Jan 2023 10:37:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * config.h was missing

 969158a0 / Fri, 6 Jan 2023 10:37:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Renamed open/read/write/close functions to avoid clashes with Gnulib's unistd.h

 1609ad14 / Thu, 5 Jan 2023 11:35:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reorder includes

 b908b924 / Thu, 5 Jan 2023 11:35:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Hide *~

 99f871fa / Thu, 5 Jan 2023 11:35:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix comments

 a21f39b8 / Thu, 5 Jan 2023 11:34:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reordered command sequence to keep things belonging to each other together

 20409e25 / Thu, 5 Jan 2023 11:34:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Removed obsolete AC_HEADER_STDC command

 9abed9db / Thu, 5 Jan 2023 11:33:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Guard __STDC_FORMAT_MACROS define, may already exist

 6e8f63af / Thu, 5 Jan 2023 11:33:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid autmatic cast from std::filesystem::path to std::string

 4d0e97f8 / Thu, 5 Jan 2023 11:32:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Include fuse.h as external C

 ba42f44a / Thu, 5 Jan 2023 11:31:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Hide annoying warning in 3rd party code

 9cdbf6b5 / Thu, 5 Jan 2023 11:31:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Should use stat, not lstat

 e8952491 / Thu, 5 Jan 2023 11:30:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change _open/_read/_write/_close to pvt_* to avoid naming collisions

 fcfa4c13 / Thu, 5 Jan 2023 09:57:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Removed unused header

 578c77e7 / Thu, 5 Jan 2023 09:56:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 c03d89c3 / Thu, 5 Jan 2023 09:56:31 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * (c) to 2023

 e4b4aabb / Thu, 5 Jan 2023 09:53:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * (c) of package to 2023

 41be2ed1 / Tue, 3 Jan 2023 17:02:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix checks with ffmpeg version N-109474-gc94988a781

 f9abb37c / Tue, 3 Jan 2023 15:48:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revised texts

 20eceaa9 / Sun, 2 Oct 2022 20:48:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #139: Enable shell wildcard patterns

 c3a52e00 / Sun, 2 Oct 2022 19:54:44 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #140: Enable shell wildcard patterns

 2b7246d5 / Sun, 2 Oct 2022 19:47:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #139: remove --extensions parameter

 613ba96e / Sun, 2 Oct 2022 19:30:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 87117222 / Sun, 2 Oct 2022 19:30:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited comment

 c4f33ee4 / Sun, 2 Oct 2022 19:28:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove unused header

 dc2a4b27 / Sun, 2 Oct 2022 19:27:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change implode() function to template

 c514384e / Sun, 2 Oct 2022 17:00:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 66b51ace / Sun, 2 Oct 2022 16:38:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #140: Positive list for transcoding

 d2ca8a9b / Sun, 2 Oct 2022 13:22:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #139: remove --extensions parameter

 6389bd77 / Sun, 2 Oct 2022 13:18:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Again some lines too long

 3b9686a4 / Sun, 2 Oct 2022 13:17:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing :

 6aaf726d / Sun, 2 Oct 2022 13:17:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * V2.13 not to October 2022

 0997066e / Sun, 2 Oct 2022 13:16:23 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited some comments

 027519ea / Sun, 2 Oct 2022 13:15:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing comment to m_hide_extensions instantiation

 0531ddd7 / Sun, 2 Oct 2022 12:47:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix deprecations:   * 2022-03-15 - cdba98bb80 - lavu 57.24.100 - channel_layout.h frame.h opt.h   * Add new channel layout API based on the AVChannelLayout struct.   * Add support for Ambisonic audio.   * Deprecate previous channel layout API based on uint64 bitmasks.

 3b0fe612 / Sun, 2 Oct 2022 12:45:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set include paths for debug FFmpeg libraries

 681f7015 / Sat, 1 Oct 2022 21:32:23 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Get duration first, then calc video pts/last mux dts

 c28ec01b / Wed, 28 Sep 2022 21:30:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix deprecation: 2022-07-xx - xxxxxxxxxx - lavu 57.30.100 - frame.h   Add AVFrame.duration, deprecate AVFrame.pkt_duration.

 27dd4502 / Wed, 28 Sep 2022 21:30:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited texts

 43d57860 / Wed, 28 Sep 2022 21:30:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add #pragma once where missing

 a32f3f20 / Tue, 27 Sep 2022 20:05:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change log entries to single line

 ea5b89e8 / Tue, 27 Sep 2022 20:05:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set (c) to 2022

 ebacf2cc / Tue, 27 Sep 2022 20:04:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 66706612 / Mon, 19 Sep 2022 13:38:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Date V2.13 to September

 6dfa1ba0 / Mon, 19 Sep 2022 08:58:15 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Added --prebuffer_time parameter

 6f629372 / Mon, 19 Sep 2022 08:47:32 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix Doxygen comment (missing word 'duration' added)

 48908cda / Mon, 19 Sep 2022 06:52:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * 'Unable to use output codec' belongs to OUTPUT log entries

 ca6af006 / Mon, 12 Sep 2022 21:25:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited

 79d71261 / Mon, 12 Sep 2022 21:24:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix deprecation

 c15eb2d7 / Mon, 12 Sep 2022 21:23:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatierung

 ee63f047 / Fri, 2 Sep 2022 20:03:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revised texts

 0ae07fd9 / Sat, 27 Aug 2022 19:33:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Oops, meant 'efficiently', not 'inefficiently'

 80eb79fc / Sat, 27 Aug 2022 18:36:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Line endings to *nix

 798ae45f / Sat, 27 Aug 2022 18:34:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean-up: remove trailing blanks

 249fb9c3 / Sat, 27 Aug 2022 18:11:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update Debian control folder for 2.12-1

 4f04f79f / Sat, 27 Aug 2022 18:05:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.13

 7ef84858 / Sat, 27 Aug 2022 18:04:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove blank from line end

 a4b5d2a7 / Sat, 27 Aug 2022 17:18:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos

 67ab18b6 / Sat, 27 Aug 2022 16:36:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare 2.12 release

 959ece11 / Fri, 26 Aug 2022 17:55:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 77ff557b / Fri, 26 Aug 2022 17:42:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Mor detail on list of codecs

 8003a4ae / Fri, 26 Aug 2022 17:33:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix link to INSTALL.md

 de0d8b03 / Thu, 25 Aug 2022 21:44:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix webm file size check

 5d96444b / Thu, 25 Aug 2022 21:28:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix webm file size check

 1a19bb0a / Thu, 25 Aug 2022 21:10:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Hint if docbook-xml is required

 b6fd0661 / Thu, 25 Aug 2022 21:10:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * asciidoc-base is sufficient

 bed8e5c0 / Mon, 1 Aug 2022 09:31:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * External build servers have finally been fixed

 67fb9b68 / Mon, 1 Aug 2022 09:22:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * xsltproc may also be missing

 d39ab967 / Mon, 1 Aug 2022 09:08:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * docbook-xml also appears to be required

 29be694b / Mon, 1 Aug 2022 08:32:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * automake also required

 fe9ad9d4 / Wed, 20 Jul 2022 22:23:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reenable ARM/32 build badge

 914bdb5a / Wed, 20 Jul 2022 07:53:17 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Rephrase all INTERNAL ERROR messages to include function name

 0a568a25 / Wed, 20 Jul 2022 07:52:23 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix potential NULL ptr access

 096aad73 / Wed, 20 Jul 2022 07:51:21 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Replaced assert with an internal error message

 a074a284 / Wed, 20 Jul 2022 07:50:03 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Remove all possibly dangerous asserts

 0517b7d5 / Wed, 20 Jul 2022 07:47:18 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Added explanation why missingIncludes is suppressed

 3aa27053 / Wed, 20 Jul 2022 07:45:22 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix cppcheck unknown macro warning

 19b1da75 / Wed, 20 Jul 2022 07:42:36 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Removed a condition that was always true

 bab6857b / Wed, 20 Jul 2022 07:40:31 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Add comments why certain warnings are disabled

 97ddcc0d / Wed, 20 Jul 2022 07:36:46 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Seems some build servers still malfunction, removed from list

 fb9f3741 / Tue, 19 Jul 2022 08:29:00 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Build servers fixed now, hopefully...

 7cedaa7a / Mon, 18 Jul 2022 22:41:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 0c28b13d / Mon, 18 Jul 2022 22:09:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable all CPUs for make

 4629579d / Mon, 18 Jul 2022 08:06:44 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Temporarily removed status lines that fail due to problem with build system

 1fd4245b / Mon, 18 Jul 2022 06:39:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Disable duplicated checks

 f48ca590 / Sun, 17 Jul 2022 21:59:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Extra logging for internal error

 956d5534 / Sun, 17 Jul 2022 18:59:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added extra logging for internal errors that should never happen, but still do...

 9b9ea815 / Sun, 17 Jul 2022 18:59:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * OK, bloody GIT: Fourth commit attempt: Fix estimated size of last HLS segement

 55d14ef2 / Sun, 17 Jul 2022 18:54:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * WILL GIT FINALLY COMMIT DAT TOOTIN' CHANGE?!?!? Third commit attempt: Fix estimated size of last HLS segement

 f97762da / Sun, 17 Jul 2022 18:38:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 daf2f083 / Sun, 17 Jul 2022 18:36:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix estimated size of last HLS segement

 df068448 / Sun, 17 Jul 2022 18:36:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix estimated size of last HLS segement

 909faf78 / Sun, 17 Jul 2022 18:36:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Copy edited news from README.md

 ef79c553 / Sun, 17 Jul 2022 16:46:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Build server problems fixed (hopefully)

 65c6ccc8 / Sun, 17 Jul 2022 09:34:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Temporarily removed status lines that fail due to problem with build system

 fbb6f6a0 / Sun, 17 Jul 2022 09:33:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * under circumstances sounds better

 da5435f3 / Sun, 17 Jul 2022 09:30:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 ca5ac329 / Sun, 17 Jul 2022 09:26:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Edited history

 ecd6a8f8 / Sat, 16 Jul 2022 19:42:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Argh, stupid typo...

 96527b81 / Sat, 16 Jul 2022 18:32:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update man pages also with edited texts

 ac2703e8 / Sat, 16 Jul 2022 18:08:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Edit

 7a5f7173 / Sat, 16 Jul 2022 18:07:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove trailing blanks

 c3cc6d37 / Sat, 16 Jul 2022 17:12:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix hyperlink: add anchor

 1e8639b1 / Sat, 16 Jul 2022 17:09:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix hyperlink

 c7c25b87 / Sat, 16 Jul 2022 11:55:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Edited docs

 95952b45 / Fri, 15 Jul 2022 06:49:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Problems and features moved to separate files

 ac54b155 / Thu, 14 Jul 2022 21:34:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move list of linux distros to end

 39ac0506 / Thu, 14 Jul 2022 19:42:23 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update tested with list

 8fe3ac7e / Thu, 14 Jul 2022 19:35:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Table format

 e5ced574 / Thu, 14 Jul 2022 19:30:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix 32 Bit ARM build

 4c85b38d / Thu, 14 Jul 2022 19:29:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix build url

 36020ba4 / Thu, 14 Jul 2022 19:12:44 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add builds for ARM32 and with GCC 12

 842894db / Tue, 12 Jul 2022 20:59:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Escape attributes, see https://docs.asciidoctor.org/asciidoc/latest/subs/prevent/

 da8f4106 / Mon, 11 Jul 2022 20:19:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update docs about clang-tidy

 7545daff / Mon, 11 Jul 2022 20:18:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * NOLINT code that cannot be changed

 821167d1 / Mon, 11 Jul 2022 20:17:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid auto declarations wherever possible

 f57c6713 / Mon, 11 Jul 2022 20:16:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace c-style arrays with std::vector where possible

 69af9bd0 / Mon, 11 Jul 2022 20:09:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace c-style arrays with std::array where possible

 1f0c7ea2 / Mon, 11 Jul 2022 19:44:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace snprintf with overrun-safe strsprintf

 b91a4ba8 / Mon, 11 Jul 2022 19:39:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Mark usused parameter with __attribute__((unused))

 b524806b / Sun, 10 Jul 2022 21:01:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Disable annoying lint messages

 9e066660 / Sun, 10 Jul 2022 20:31:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix deprecation in C++17

 449e4d06 / Sat, 9 Jul 2022 22:08:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove stray debug out

 17e4a1eb / Sat, 9 Jul 2022 21:08:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use save delete function

 ee88cc2e / Sat, 9 Jul 2022 21:07:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix list update

 0aad2e89 / Thu, 7 Jul 2022 22:29:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 86229f17 / Mon, 4 Jul 2022 13:41:07 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Avoid crash in get_prores_bitrate

 6a8dc106 / Fri, 1 Jul 2022 20:22:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: prefer a lambda to std::bind

 473c0782 / Fri, 1 Jul 2022 20:07:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: pass by value and use std::move

 a21a3982 / Fri, 1 Jul 2022 19:39:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: use stod/stol etc. to operate on std::strings directly

 757775d9 / Fri, 1 Jul 2022 19:25:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise: use range-based for loop instead

 ac07ee04 / Fri, 1 Jul 2022 18:39:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * modernize-use-nullptr

 cc7593aa / Fri, 1 Jul 2022 18:22:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bug prone code: modify strsprintf function to match sprintf

 612b8c29 / Fri, 1 Jul 2022 17:32:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernisation: use range-based for loop instead

 445ce0db / Thu, 30 Jun 2022 21:50:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: use '= default' to define a trivial con/destructor

 d7aa28ca / Thu, 30 Jun 2022 21:37:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise: Replace C arrays

 118e07a0 / Thu, 30 Jun 2022 20:36:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modern C propagates (void) opportune while modern C++ considers it redundant. Big fun.

 5bd35885 / Mon, 4 Jul 2022 13:41:07 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Avoid crash in get_prores_bitrate

 93ed7323 / Fri, 1 Jul 2022 20:22:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: prefer a lambda to std::bind

 c5d12926 / Fri, 1 Jul 2022 20:07:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: pass by value and use std::move

 deb30d07 / Fri, 1 Jul 2022 19:39:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: use stod/stol etc. to operate on std::strings directly

 993a7f94 / Fri, 1 Jul 2022 19:25:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise: use range-based for loop instead

 025c93ae / Fri, 1 Jul 2022 18:39:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * modernize-use-nullptr

 da6d35b9 / Fri, 1 Jul 2022 18:22:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bug prone code: modify strsprintf function to match sprintf

 be909559 / Fri, 1 Jul 2022 17:32:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernisation: use range-based for loop instead

 f606bec1 / Thu, 30 Jun 2022 21:50:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise code: use '= default' to define a trivial con/destructor

 825f6aa5 / Thu, 30 Jun 2022 21:37:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise: Replace C arrays

 649f0b05 / Thu, 30 Jun 2022 20:36:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modern C propagates (void) opportunity while modern C++ considers it redundant. Big fun.

 f5478a84 / Thu, 30 Jun 2022 20:28:39 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise: Replace push_back with emplace_back

 07293bd1 / Thu, 30 Jun 2022 20:18:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Modernise: Replace outdated headers

 38bbbd4e / Thu, 30 Jun 2022 20:18:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Oh, how I abhore "auto"

 01547d4b / Thu, 30 Jun 2022 19:52:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Performance: use for each loops

 ba99ce5a / Thu, 30 Jun 2022 19:52:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Performance: Remove unneccessary string copy

 78a3f1b7 / Thu, 30 Jun 2022 19:11:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace c-style arrays with std::string

 5a490832 / Thu, 30 Jun 2022 19:11:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make strsprintf() inline to avoid unresolved externals

 43ccb1cc / Thu, 30 Jun 2022 18:54:23 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix converting integer literal to bool

 469631c9 / Thu, 30 Jun 2022 08:04:08 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Performance: use bool instead of int

 a6fb80c3 / Thu, 30 Jun 2022 08:00:20 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Change assert.h to modern cassert header

 66ce6a8e / Thu, 30 Jun 2022 07:58:24 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Add make lint option with clang-tidy checks

 8feabad1 / Wed, 29 Jun 2022 22:47:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix several performance and bug prone issues

 d0d66259 / Wed, 29 Jun 2022 22:37:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix some potentially error prone code constructs

 d16ee82d / Wed, 29 Jun 2022 19:08:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix possible NULL ptr access

 4eae9f5b / Wed, 29 Jun 2022 19:07:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add -D_FORTIFY_SOURCE=2 for buffer overflow detection

 ad564cc7 / Wed, 29 Jun 2022 19:06:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Can use starts_with() for better performance when switching to c++20

 c987772d / Wed, 29 Jun 2022 19:06:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add .su files to ignore

 d723de58 / Wed, 29 Jun 2022 19:05:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add self assignment check to = operator

 e9a7ab28 / Wed, 29 Jun 2022 19:04:39 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix possible NULL ptr access

 f6f58ec1 / Wed, 29 Jun 2022 19:04:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change potentially reserved variable names

 f6b05d54 / Wed, 29 Jun 2022 19:03:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change assert to static_assert as possible

 7191d6fc / Wed, 29 Jun 2022 19:03:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix uninitialised variable

 a34cde51 / Wed, 29 Jun 2022 12:36:54 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Remove some throws that were missing its catch

 53dd6a5e / Fri, 24 Jun 2022 15:23:44 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Explicitly 'make check'

 47b8e1ee / Fri, 24 Jun 2022 15:23:24 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Version 2.12 is now under development

 b7cfef96 / Fri, 24 Jun 2022 15:22:59 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Make log entries look similar

 66d18a1d / Thu, 16 Jun 2022 17:56:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Debian control folder for 2.11-1

 65e391e2 / Thu, 16 Jun 2022 16:22:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare Version 2.11 release

 01047795 / Thu, 16 Jun 2022 16:14:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited fix list

 5540a436 / Thu, 16 Jun 2022 16:12:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited fix list

 79bdef7f / Thu, 16 Jun 2022 15:42:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Mention fix that closes Debian bug #1012925. See 9a4ba638e38d030b7c5311cf527edafbd88bb537.

 8a4df8a2 / Thu, 16 Jun 2022 12:32:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update download URL and add GIT main and mirror address

 007dbdbb / Thu, 16 Jun 2022 09:49:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move planned features to TODO list

 30362dc2 / Thu, 16 Jun 2022 08:56:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add Debian control directory

 de9d370e / Thu, 16 Jun 2022 08:52:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move Windows version to TODO list

 5d4f23bf / Thu, 16 Jun 2022 08:50:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove empty columns from format list tables

 b8d2e508 / Thu, 16 Jun 2022 08:44:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix TODO link

 19b0eac5 / Tue, 14 Jun 2022 18:29:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Split audio/video/stills formats into separate tables

 a86f637b / Sun, 12 Jun 2022 21:58:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix 32 bit build

 d463ab8a / Sun, 12 Jun 2022 21:57:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 40b939a2 / Sun, 12 Jun 2022 16:54:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log FFmpeg API log category

 cbf6e435 / Sat, 11 Jun 2022 21:38:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * FFmpeg API log entries should be block if level too high

 298088b0 / Sat, 11 Jun 2022 21:27:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log virtual name for output files

 a9636502 / Sat, 11 Jun 2022 21:27:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log correct filename for INTERNAL ERROR: check_cuesheet()! virtualfile is NULL.

 c837dff8 / Sat, 11 Jun 2022 21:26:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 23a9713c / Sat, 11 Jun 2022 18:11:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revamped logging: shorten paths, improve readability, reduce file size

 189d05e6 / Fri, 10 Jun 2022 23:02:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Correctly log virtual paths, not just file names

 8623ed2d / Fri, 10 Jun 2022 22:53:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Safe CPU: Do not format log entries which will not be displayed anyway

 517b7470 / Fri, 10 Jun 2022 19:15:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reduce duplicated code by templates

 9973aa7d / Fri, 10 Jun 2022 18:32:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited log code

 ba9e2d02 / Fri, 10 Jun 2022 16:28:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add virtname() accessor

 5cf597e4 / Fri, 10 Jun 2022 16:28:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move statics to the beginning of the file

 2337c99f / Thu, 9 Jun 2022 17:05:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 b8427c53 / Thu, 9 Jun 2022 16:34:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove duplicated variable

 97760195 / Wed, 8 Jun 2022 20:53:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reserve enough space to avoid frequent memory reallocations

 d884c1e2 / Wed, 8 Jun 2022 20:52:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Do not log remaining bytes in cache misses, too inaccurate

 3576dfc0 / Wed, 8 Jun 2022 20:43:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited log entries

 eac3429c / Tue, 7 Jun 2022 12:46:41 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Revisited logging texts

 559862f5 / Tue, 7 Jun 2022 12:36:35 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Made logging more comprehensible

 734ddabc / Tue, 7 Jun 2022 12:35:24 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Log 'FFmpeg transcoder closed' only once

 b275b875 / Tue, 7 Jun 2022 07:27:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add replace_start helper

 e84f8a7c / Tue, 7 Jun 2022 07:26:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * HW acceleration logging enhanced

 c81626e2 / Tue, 7 Jun 2022 07:26:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log 'Opening output file' rather than just 'Opening file'

 7cb1fdf8 / Tue, 7 Jun 2022 07:24:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log bit/samplerate, or dimensions change only if former value is known

 1d02cdac / Tue, 7 Jun 2022 07:23:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rephrase writing/reading cache to reading from/writing to, makes more sense

 3b50edc4 / Mon, 6 Jun 2022 20:59:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * FFmpeg API log output from DEBUG now, FFmpeg API INFO is to chatty

 8014f44a / Mon, 6 Jun 2022 20:58:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Insert forced keyframes for HLS only

 9185c333 / Mon, 6 Jun 2022 20:57:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add comment for --debug option

 77f3a669 / Sun, 5 Jun 2022 21:10:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fixed build with GCC 8.3.0: added missing <functional> include

 a9c7fa2e / Sun, 5 Jun 2022 17:04:45 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Updated docs

 ffe6190c / Sun, 5 Jun 2022 16:59:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited formatting

 359561da / Sun, 5 Jun 2022 16:58:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revisited grammar

 06d9422b / Sun, 5 Jun 2022 13:07:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revised grammer

 276d0631 / Thu, 2 Jun 2022 18:15:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in Doxygen

 27a57bae / Thu, 2 Jun 2022 08:50:34 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Revised doxygen comments

 bfd0fa3f / Thu, 2 Jun 2022 08:37:20 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 35a70b21 / Wed, 1 Jun 2022 21:44:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revised Doygen comments

 29aaecda / Wed, 1 Jun 2022 21:43:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revised Doygen comments

 335ae2c5 / Wed, 1 Jun 2022 17:55:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revised doxygen comments

 943657a2 / Wed, 1 Jun 2022 12:13:25 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Revised Doxygen comments

 20de1cf7 / Wed, 1 Jun 2022 07:02:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix grammar in comment

 60c9ae1a / Tue, 31 May 2022 23:11:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #138: Fix gcc-12 warning

 9a4ba638 / Tue, 31 May 2022 23:01:09 +0200
 root <root@debian.intranet.oblivion-software.de>
  * Fix gcc 12 build

 455ae72f / Tue, 31 May 2022 20:38:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revised debug outputs

 2936ecbc / Mon, 30 May 2022 10:37:36 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix typo in comment

 f12af7f9 / Mon, 30 May 2022 07:32:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced logging

 6178bce6 / Mon, 30 May 2022 07:22:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced logging

 fad0c436 / Sun, 29 May 2022 21:57:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced logging

 2de78b18 / Sun, 29 May 2022 21:38:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced logging

 ccd9e819 / Sun, 29 May 2022 21:05:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bluray -> Blu-ray

 ea60fc74 / Sat, 28 May 2022 21:31:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Grammer enhancements

 9221d548 / Sat, 28 May 2022 14:59:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Grammer enhancements

 9b64c6a3 / Sat, 28 May 2022 11:17:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix flac size test of ARM

 4f72bc46 / Sat, 28 May 2022 11:14:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Grammer enhancements

 206ab4c6 / Sat, 28 May 2022 10:06:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix grammar

 aea4d041 / Sat, 28 May 2022 09:57:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #119: Documentation

 b4c76b10 / Thu, 26 May 2022 17:37:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 df56dd86 / Thu, 26 May 2022 17:36:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #137: Add --no_subtitles option

 15d1ac57 / Fri, 20 May 2022 19:48:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix HLS/image frame set conversion for TS source

 75ccf672 / Fri, 20 May 2022 19:25:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Typo on Doxygen comment fixed

 87a9b64a / Fri, 20 May 2022 19:19:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 d1af07de / Tue, 17 May 2022 20:56:23 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update comments

 154ec063 / Tue, 17 May 2022 20:55:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Never shrink buffer, always grow

 384923cb / Tue, 17 May 2022 20:55:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Actually report out of memory if buffer alloc fails, not bad file

 894388c8 / Tue, 17 May 2022 12:27:18 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix Doxygen comments

 b3f3d122 / Tue, 17 May 2022 12:26:33 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fixed check for wrong error condition, could cause the application to crash or return stupid error messages.

 6817c576 / Sun, 15 May 2022 16:23:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Drop MULTIFRAME_NODE typedef in favour of auto to avoid build fails under arm/i386/mipsel

 95f8be5e / Sat, 14 May 2022 20:31:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log frame number in cache miss

 c71e9c24 / Sat, 14 May 2022 20:28:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix comment

 a572b262 / Sat, 14 May 2022 20:27:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Shorten logging

 53e4a411 / Fri, 13 May 2022 22:42:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add new cuesheet tests to CMake

 8e53cd5c / Fri, 13 May 2022 22:41:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix test with latest FFmpeg API

 13434490 / Fri, 13 May 2022 22:41:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update codeql-action to v2

 10d3ba1a / Thu, 12 May 2022 21:02:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix the rest of the cppchecks

 05ea26a3 / Thu, 12 May 2022 07:19:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax

 b23e10f2 / Thu, 12 May 2022 07:15:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove make check from Docker build, requires privileges which are missing during build func.sh returned 0 on error instead if 99

 2c447648 / Wed, 11 May 2022 21:25:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove make check from Docker build, requires privileges which are missing during build

 2aee645c / Wed, 11 May 2022 21:21:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * func.sh returned 0 on error instead if 99

 560e2ad8 / Wed, 11 May 2022 21:19:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxgen comment

 d689a37e / Wed, 11 May 2022 19:30:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix even more cppcheck warnings

 0627a24d / Wed, 11 May 2022 14:58:14 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Mostly Cosmetical: Fix several ccppcheck warnings, but also one possible crash

 aa688b99 / Wed, 11 May 2022 09:31:07 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #86: Properly clean up after checks Write separate logs for both tests

 6767ac5f / Tue, 10 May 2022 21:49:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #86: Add checks

 817b37e4 / Tue, 10 May 2022 14:28:44 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Bugfix: If track performer is empty, try album performer instead.

 23be6127 / Tue, 10 May 2022 14:26:56 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Add 2.10 release to history

 78d6a29a / Tue, 10 May 2022 14:26:26 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix crash when DVD/Bluray should be transcoded to audio only.

 8ecc2cff / Mon, 9 May 2022 17:59:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #86: Check if input file contains audio only, then smart encode to audio only

 57bc37ec / Sun, 8 May 2022 09:08:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added check_ext() function

 0524bead / Sun, 8 May 2022 09:06:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Updated @todo entries

 535bde41 / Sun, 8 May 2022 09:03:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added more info into INTERNAL ERROR messages

 9007781c / Sat, 7 May 2022 20:13:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 dc335213 / Sat, 7 May 2022 16:37:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 696c3c2e / Sat, 7 May 2022 16:33:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove assert that never will trigger anyway

 c2449fbd / Sat, 7 May 2022 16:33:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix misleading log entry

 d679f1dd / Sat, 7 May 2022 16:32:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in comment

 16ac09d7 / Sat, 7 May 2022 11:11:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 dfdbdde3 / Sat, 7 May 2022 10:49:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Some Doxygen @parms where missing their in/out hint

 429512db / Fri, 6 May 2022 09:17:32 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Refactoring

 55b03c47 / Fri, 6 May 2022 07:45:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Optimisation

 ec903c29 / Fri, 6 May 2022 07:44:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 ce6aae7e / Fri, 6 May 2022 07:44:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make FFmpegfs_Format* const where possible

 ad490200 / Fri, 6 May 2022 07:34:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add. nullptr check to avoid GPF

 415a221d / Fri, 6 May 2022 07:34:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 390f37db / Fri, 6 May 2022 07:33:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change variable name: m_cuesheet to m_cuesheet_track

 fd4d7c45 / Wed, 4 May 2022 19:29:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 5e7b481a / Wed, 4 May 2022 19:29:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better variable names in insert_file()

 8cdfc98a / Wed, 4 May 2022 19:28:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring: virtual_name()

 584eda8c / Wed, 4 May 2022 19:27:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring: ffmpegfs_getattr()

 c1cbf16b / Wed, 4 May 2022 19:26:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rearranged functions, became a bit chaotic with time

 ea826aa4 / Wed, 4 May 2022 19:16:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rename some functions with unclear names

 903f7e58 / Tue, 3 May 2022 20:19:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix grammer/format

 54a45d75 / Sun, 1 May 2022 08:49:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Optimised reverse search

 9defe990 / Sun, 1 May 2022 08:48:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up code

 f71dad22 / Sat, 30 Apr 2022 13:25:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * current_format did not access the cache correctly

 616b38e6 / Sat, 30 Apr 2022 13:19:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Corrected error reporting from ffmpegfs_readdir

 48268cf1 / Sat, 30 Apr 2022 13:17:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid GPF in transcoded_name()

 d3f55d52 / Sat, 30 Apr 2022 13:11:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 1d62a748 / Sat, 30 Apr 2022 13:11:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 b0552dcf / Sat, 30 Apr 2022 13:10:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.11

 da902597 / Sat, 30 Apr 2022 10:43:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Version 2.11 under development

 e706367e / Sat, 30 Apr 2022 10:08:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove release 2.9 list

 a1ff2aca / Tue, 26 Apr 2022 19:31:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make release 2.10

 7d1e3949 / Tue, 26 Apr 2022 19:29:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 7f203aa1 / Tue, 26 Apr 2022 12:40:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * C++17 hints

 07066cd4 / Tue, 26 Apr 2022 09:07:14 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Going c++17 now

 4464e830 / Tue, 26 Apr 2022 09:06:51 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Line too long

 52095710 / Tue, 26 Apr 2022 08:48:36 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Removed forgotten debug output

 fc772341 / Tue, 26 Apr 2022 08:46:36 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Trim log messages left and right

 f8c0c293 / Mon, 25 Apr 2022 15:12:31 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Closes #135: Fix build error, add missing #include <optional>

 b6e828cc / Mon, 25 Apr 2022 13:16:42 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Refatcoring

 8bc2f55a / Sun, 24 Apr 2022 20:56:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Feature #2749: Log subtitles as debug, not error

 c946d808 / Sun, 24 Apr 2022 20:56:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.10

 7d6ffb3c / Sun, 24 Apr 2022 16:42:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #123: Update online help

 560078e5 / Sun, 24 Apr 2022 14:06:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #123: add option to hide files

 c6eb4f16 / Sun, 24 Apr 2022 13:54:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 b6fc4a28 / Sat, 23 Apr 2022 22:33:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in Doxygen comment

 b6acd063 / Sat, 23 Apr 2022 22:32:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat code

 52ad4f50 / Sat, 23 Apr 2022 22:30:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace C-style \n with std::endl

 f9d5be07 / Sat, 23 Apr 2022 20:30:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Block SRT/VTT files, confuses players

 1bf2260d / Sat, 23 Apr 2022 19:22:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doxygen

 68927b32 / Sat, 23 Apr 2022 19:11:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #134: properly check list of passthrough extensions

 280cbdd7 / Sat, 23 Apr 2022 14:14:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #120: Support for external subtitles

 9cbae1fb / Sat, 23 Apr 2022 09:12:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Do not add subtitle streams when there is no video

 5dce08e6 / Sat, 23 Apr 2022 09:06:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix garbled audio output with new channel API

 cecb3594 / Sat, 23 Apr 2022 09:06:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 b48d6df6 / Sat, 23 Apr 2022 09:02:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable some C++17 features for GCC 8.x

 2ddd20e4 / Sat, 23 Apr 2022 09:01:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * In place changing version of replace_all()

 16bce4c6 / Fri, 22 Apr 2022 07:22:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 f3105f59 / Fri, 22 Apr 2022 07:07:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update comments

 b8565a11 / Fri, 22 Apr 2022 07:07:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Fix script info generation in add_subtitle_stream

 98edc9da / Fri, 22 Apr 2022 07:05:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Both add_stream can now take the audio duration as hint as well

 2fcc6446 / Fri, 22 Apr 2022 07:05:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Both add_subtitle_stream and add_stream now return the stream index

 b2122695 / Fri, 22 Apr 2022 07:02:56 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * add_stream_map() must not add outputs with no input streams

 29639003 / Fri, 22 Apr 2022 07:02:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add AVFormatContext paramater to open*decoder functions

 b4668325 / Fri, 22 Apr 2022 06:50:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update Doxygen comments

 a4337856 / Tue, 19 Apr 2022 07:12:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 cb43980d / Tue, 19 Apr 2022 07:09:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Version date

 a823329d / Tue, 19 Apr 2022 07:09:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Version date

 d32f3042 / Tue, 19 Apr 2022 07:08:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax errors

 6bc64177 / Mon, 18 Apr 2022 22:46:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Stupid merge missed out on this change

 ae33d622 / Mon, 18 Apr 2022 21:46:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Totally revamped frame buffer, a single buffer now holds audio/video frames and subtitles.

 a09c52ea / Mon, 18 Apr 2022 12:27:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxgen comments

 e0e54b81 / Mon, 18 Apr 2022 12:22:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Should call throw, not return in try/catch

 0143020d / Mon, 18 Apr 2022 12:21:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 b84bc30a / Mon, 18 Apr 2022 12:20:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Drop av_interleaved_writeframe(), not working properly in our case

 4add0d9d / Mon, 18 Apr 2022 12:16:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use larger analyse duration and prescan size

 6c2d5027 / Mon, 18 Apr 2022 12:15:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 092cc8ad / Sun, 17 Apr 2022 19:48:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix content error

 3315b3c9 / Sun, 17 Apr 2022 15:27:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Wrong % formatter in logging

 e15e0bcf / Sat, 16 Apr 2022 20:59:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix 2 null pointer crashes

 33810548 / Fri, 15 Apr 2022 23:34:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix memory leak: did not close output subtitle codecs

 7058e601 / Fri, 15 Apr 2022 23:30:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Mention "audio FIFO" instead of just "FIFO" in logs The audio/video FIFO is actually a map now, changed FIFO to buffer in logs

 276bda0a / Fri, 15 Apr 2022 23:16:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix grammer in comment

 eb49d276 / Fri, 15 Apr 2022 23:15:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace several asserts by error messages to avoid crashes

 37e6d6c2 / Mon, 11 Apr 2022 10:02:56 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Subtitle codec table format

 93480263 / Mon, 11 Apr 2022 10:02:27 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Format

 9ae038c4 / Sat, 9 Apr 2022 22:07:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Some FIFOs are now maps, so we should rename some variables appropriately

 80920e43 / Sat, 9 Apr 2022 11:37:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #131: Add issue number

 14860139 / Fri, 8 Apr 2022 20:17:56 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove duplicated entry

 fe864fa4 / Fri, 8 Apr 2022 20:17:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 06cdf2b1 / Fri, 8 Apr 2022 20:16:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Bluray/DVD playback when video properties cannot be detected

 5f4cfa61 / Fri, 8 Apr 2022 20:11:45 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix log entry

 05c5ab1e / Fri, 8 Apr 2022 20:11:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 8a2b6a74 / Thu, 7 Apr 2022 20:39:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Set analyse duration to 15 seconds, misses out on some subtitle streams sometimes

 258acfa7 / Thu, 7 Apr 2022 20:37:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * MKV does not honour SAR, need to rescale 'manually'

 880568f5 / Thu, 7 Apr 2022 20:37:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove debug code

 52766cf6 / Wed, 6 Apr 2022 08:33:11 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #120: increase analyzeduration to securely catch all subtitle streams

 cb8fe80b / Tue, 5 Apr 2022 23:15:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix read function if used with null buffer and smaller size

 0b161e59 / Tue, 5 Apr 2022 23:14:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Typo in logging fixed

 8806807c / Sun, 3 Apr 2022 22:25:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log stream index with stream info

 cdec5b63 / Sun, 3 Apr 2022 22:24:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 bae6beaf / Sun, 3 Apr 2022 21:42:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 d6cba85a / Sun, 3 Apr 2022 21:42:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 f76236df / Sun, 3 Apr 2022 20:11:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Add Substation Alpha (SSA) header if missing

 717f8639 / Sun, 3 Apr 2022 20:10:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Required refactoring

 6ccb495a / Sun, 3 Apr 2022 20:00:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Extend logging a bit

 230bdb86 / Sun, 3 Apr 2022 19:58:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 f2fb2d8a / Sun, 3 Apr 2022 13:55:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Renamed string_format to strsprintf

 31921c22 / Wed, 30 Mar 2022 20:29:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix subtitles from MPEGTS

 9fe2a5e3 / Wed, 30 Mar 2022 20:28:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 2a002981 / Mon, 28 Mar 2022 20:12:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 d63f70ec / Mon, 28 Mar 2022 20:12:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * AV_CODEC_ID_HDMV_PGS_SUBTITLE is also a bitmap codec

 6a720357 / Mon, 28 Mar 2022 08:57:11 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Erase entries already processed from frame map, old entries caused crashes in subtitle engine

 b66a913b / Mon, 28 Mar 2022 08:55:48 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Clearer log entry if "is blocked from hardware decoding"

 6a43256c / Sun, 27 Mar 2022 08:24:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doygen comments

 1387b041 / Sat, 26 Mar 2022 21:43:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 1edb2a0d / Sat, 26 Mar 2022 21:41:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #130: Report correct file sizes

 f64b39dc / Sat, 26 Mar 2022 21:38:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Comment: Number of HLS segments are not only for video

 c9ed0e49 / Sat, 26 Mar 2022 21:37:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #129: Refactoring

 fc57eb02 / Sat, 26 Mar 2022 21:36:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat code

 e53d60b7 / Sat, 26 Mar 2022 21:35:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Save duration in SQLite database

 db8d1705 / Sat, 26 Mar 2022 21:33:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Deprecated functions added to README.md

 a52b9455 / Sat, 26 Mar 2022 21:33:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #129: Add fix to news list

 15115f2a / Sat, 26 Mar 2022 21:31:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Removed irrelevant information from news list

 c3dd8ff4 / Fri, 25 Mar 2022 08:47:33 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Update changes list

 d2a927bd / Wed, 23 Mar 2022 21:31:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #129: Calculate file sizes

 f7f4b456 / Wed, 23 Mar 2022 21:29:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 d613ac31 / Tue, 22 Mar 2022 19:51:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 12ce2cfd / Tue, 22 Mar 2022 19:45:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced AVFrame handling using a C++ object Sending frames properly sorted to av_write_frame()

 6cc0a432 / Mon, 21 Mar 2022 20:41:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * 2022-03-15 - lavu 57.24.100 Deprecate previous channel layout API based on uint64 bitmasks. 2022-03-15 - swr 4.5.100 Deprecate swr_alloc_set_opts() and swr_build_matrix().

 be5baf32 / Sun, 20 Mar 2022 15:31:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 4cfafe92 / Sun, 20 Mar 2022 07:51:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Ensure PTS/DTS are properly sorted

 4cfb4d1c / Sat, 19 Mar 2022 20:23:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #128 from Martin2112/clarify_bitwise_ops

 85aa535a / Sat, 19 Mar 2022 15:06:11 +0000
 Martin Smith <mhs@google.com>
  * Add brackets to some expressions with dubious operator precedence.

 e7632ef6 / Sat, 19 Mar 2022 19:35:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid crash after video encoding error

 55ef2a5f / Sat, 19 Mar 2022 19:35:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove forgotten debug outputs

 ad6c7272 / Sat, 19 Mar 2022 19:27:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #126 from Martin2112/fix_2112

 10c268c6 / Sat, 19 Mar 2022 13:35:11 +0000
 Martin Smith <mhs@google.com>
  * In filenames created from cuesheet metadata replace '/' with '-' to avoid creating invalid names.

 d4558ba2 / Sat, 19 Mar 2022 12:28:23 +0000
 Martin Smith <mhs@google.com>
  * Add eclipse files to .gitignore.

 f51834ad / Thu, 17 Mar 2022 20:36:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix compiler warning

 d807e8ee / Thu, 17 Mar 2022 20:36:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in comment

 27fed7bb / Sun, 13 Mar 2022 08:33:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix clang warning

 23bb745f / Sun, 13 Mar 2022 08:13:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove libav/pre FFmeg 4 tags

 e221952b / Sat, 12 Mar 2022 23:01:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove conditional code for FFmpeg API < 4

 41132e16 / Sat, 12 Mar 2022 21:22:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax error, very strange syntax. Need to repeat the IF clause in ENDIF. cmake is giving me the creeps

 7a3bb018 / Sat, 12 Mar 2022 21:08:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Lowest supported FFmpeg API version raised to 4.1.8 "al-Khwarizmi". Dropped libavresample support, library was removed from FFmpeg API after 3.4.9.

 62bbc7c4 / Sat, 12 Mar 2022 20:59:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix warning

 69c92a39 / Sat, 12 Mar 2022 17:02:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix crash when video has subtitles, but no audio

 c4053771 / Sat, 12 Mar 2022 16:41:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 49972c05 / Sat, 12 Mar 2022 16:41:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doxy comments

 fa7c96f7 / Mon, 7 Mar 2022 21:20:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 44d93dad / Mon, 7 Mar 2022 21:16:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes Issue #122: Last song was missing from cuesheet files.

 fe5c96dc / Mon, 7 Mar 2022 21:16:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes Issue #122: Last song was missing from cuesheet files.

 e68c133a / Mon, 7 Mar 2022 16:33:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #120: Add subtitle support.

 9327c5ea / Mon, 7 Mar 2022 16:33:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable C++17 standard

 935b48d6 / Sun, 27 Feb 2022 19:42:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 64af1a98 / Sun, 27 Feb 2022 19:41:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat code

 1bec52ad / Fri, 25 Feb 2022 19:30:28 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix memory leak in encode_audio_frame()

 48f208c0 / Fri, 25 Feb 2022 19:29:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move comments for format table to head

 01f1e0ca / Fri, 25 Feb 2022 19:29:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 ddfff956 / Fri, 25 Feb 2022 19:27:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 2e101bb7 / Wed, 23 Feb 2022 17:43:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos

 65b421ce / Wed, 16 Feb 2022 19:38:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Raise version to 2.10

 26df65fa / Wed, 16 Feb 2022 19:31:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 f8c69933 / Wed, 16 Feb 2022 19:15:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 20caa0a2 / Wed, 16 Feb 2022 19:15:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 97fffd85 / Wed, 16 Feb 2022 18:49:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update documentation

 ea8a05d8 / Wed, 16 Feb 2022 18:49:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update documentation

 18972832 / Wed, 16 Feb 2022 18:48:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes Issue #121: Add MKV support

 d1956937 / Wed, 16 Feb 2022 18:45:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 e4227f96 / Mon, 14 Feb 2022 21:49:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove restart code - did not work

 a4f0d4ff / Mon, 14 Feb 2022 20:38:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix file size check for daily build

 c1e61071 / Mon, 14 Feb 2022 20:36:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reduce logging

 ca4fa319 / Sun, 13 Feb 2022 17:28:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing file

 85d7f157 / Sun, 13 Feb 2022 17:23:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add cmake uninstall This is it, cmake is useless, will be removed

 ce136d75 / Sun, 13 Feb 2022 17:22:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Dokument cmake install

 320c8fa1 / Sun, 13 Feb 2022 17:21:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid infinite transcoding loop

 b06e6011 / Sun, 13 Feb 2022 17:20:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log total HLS segments together with current segment

 996edfb6 / Sun, 6 Feb 2022 17:00:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 33749b3d / Sun, 6 Feb 2022 09:02:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Ignore some ninja files

 bde7a90e / Sun, 6 Feb 2022 09:01:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax error

 78270e94 / Sun, 6 Feb 2022 09:01:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update with MKV support

 b88c28dc / Sat, 5 Feb 2022 16:33:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #121: Mention expiremental MKV support

 10171921 / Sat, 5 Feb 2022 16:32:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix some build warnings with clang

 e64e657c / Sat, 5 Feb 2022 16:31:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update doxygen comments: @file filenames were missing

 b9cb48e9 / Sat, 5 Feb 2022 16:19:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 e7e6032b / Sat, 5 Feb 2022 16:18:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix some build warnings with clang

 bdb35cc7 / Sat, 5 Feb 2022 16:13:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 2b4d2394 / Sat, 5 Feb 2022 16:12:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix file size check failing sometimes

 c7d752d9 / Sat, 5 Feb 2022 16:11:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log cp calls

 528175fd / Sat, 5 Feb 2022 16:11:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * cp files to /dev/null rather than using cat

 a8c95373 / Sat, 5 Feb 2022 16:09:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax error

 aeb91d06 / Thu, 20 Jan 2022 11:04:11 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix cmake build

 99824bb7 / Thu, 20 Jan 2022 11:01:05 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #121: experimental MKV support

 26541349 / Thu, 20 Jan 2022 10:55:17 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Create cache dir on install only

 fa54b430 / Thu, 20 Jan 2022 10:28:15 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * make install/dist

 c3b1f529 / Thu, 20 Jan 2022 10:27:10 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Formatting

 652102fa / Thu, 20 Jan 2022 10:24:03 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * cp files to /dev/null rather than doing cat

 38beb9bc / Tue, 18 Jan 2022 09:50:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove package code, did not work as expected. Will be updated later.

 96e6f13f / Sun, 16 Jan 2022 20:30:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix opus/webm file size

 ae30c609 / Sun, 16 Jan 2022 20:29:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Doxygen is optional

 4de0770f / Sun, 16 Jan 2022 16:37:04 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid creating an HLS segment number which is out of bounds

 5d4933fc / Sun, 16 Jan 2022 16:35:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Synchronise screen log

 fdfd9ed0 / Sun, 16 Jan 2022 16:33:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rephrased log entry about cache hits/misses

 41e8041d / Sun, 16 Jan 2022 16:31:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rephrased log entry when starting a new HLS segment

 5f3c63d7 / Sat, 15 Jan 2022 21:56:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #67: Update documentation

 1a807562 / Sat, 15 Jan 2022 20:07:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Even more confusion

 d1f2c68c / Sat, 15 Jan 2022 19:34:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * CLean up

 d485f3ac / Sat, 15 Jan 2022 19:31:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Even more Clang/GCC chaos fixed

 45a34e35 / Sat, 15 Jan 2022 19:29:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 afda770e / Sat, 15 Jan 2022 19:26:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 9982af51 / Sat, 15 Jan 2022 19:26:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 77a189d2 / Sat, 15 Jan 2022 19:22:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Oops, confused clang with gcc

 9fb14e76 / Sat, 15 Jan 2022 19:22:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Oops, confused clang with gcc

 f85ddd9d / Sat, 15 Jan 2022 19:11:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change name to match cmake/GCC

 28e278fd / Sat, 15 Jan 2022 19:07:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add Clang build

 d367a990 / Sat, 15 Jan 2022 18:53:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add Clang build

 894534c5 / Sat, 15 Jan 2022 18:45:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add cmake badge

 b9474eb5 / Sat, 15 Jan 2022 18:26:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable Doxygen and cppcheck

 d0367d3f / Sat, 15 Jan 2022 12:10:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Corrected name

 ab9e640c / Sat, 15 Jan 2022 12:08:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax error

 c3e63eee / Sat, 15 Jan 2022 12:05:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Create action with two jobs

 0b5cf703 / Sat, 15 Jan 2022 11:10:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Break build on error at make step

 828788bd / Sat, 15 Jan 2022 11:09:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix make distcheck

 1b63844b / Sat, 15 Jan 2022 11:09:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix out of source build

 db0e88ed / Fri, 14 Jan 2022 14:52:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Put build badges into separate lines

 6ae68767 / Fri, 14 Jan 2022 14:47:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * C/CPP CI renamed

 3bdffa74 / Thu, 13 Jan 2022 22:57:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing source file Remove cppcheck dependency for main project

 a5433974 / Thu, 13 Jan 2022 22:48:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Forgot the config.h input file

 c71eb474 / Thu, 13 Jan 2022 22:43:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add cppheck target

 d942bb12 / Thu, 13 Jan 2022 22:39:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Removed CMakeLists.txt from ignore and added file to GIT

 fa9a50ed / Thu, 13 Jan 2022 22:14:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Create build action with cmake

 b50656ea / Thu, 13 Jan 2022 22:00:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Build suddenly fails without change

 6dedc6f0 / Thu, 13 Jan 2022 21:34:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cmake build system files

 c370249b / Tue, 11 Jan 2022 21:08:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reset DVD chapter name layout

 b8dcb995 / Mon, 10 Jan 2022 21:46:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix potential buffer overrun transcoding to AIFF

 9b1354ab / Mon, 10 Jan 2022 21:46:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Copy to nulldevice rather than using cat

 2860ca0f / Mon, 10 Jan 2022 16:22:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up properly after test_filecount_hls, test_filenames_hls and test_filesize_hls

 11d8e64d / Mon, 10 Jan 2022 16:21:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove forgotten debug output

 dd8d9453 / Mon, 10 Jan 2022 07:11:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Include cppcheck in build

 828d9cee / Mon, 10 Jan 2022 06:45:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #67: better file size prediction for video streams

 dfa3a664 / Mon, 10 Jan 2022 06:43:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Do not report missing includes

 a9fc0443 / Sun, 9 Jan 2022 23:28:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log 'transcoder' rather than 'decoder'

 6b017b76 / Sun, 9 Jan 2022 23:14:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up some more files in squeaky clean

 f181022d / Sun, 9 Jan 2022 22:51:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * make clean should also remove doxygen.log

 52ab9125 / Sun, 9 Jan 2022 22:50:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove QtCreator helper file

 105eaded / Sun, 9 Jan 2022 18:17:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Do not break make process when cppcheck returns error, not reliable

 242156ba / Sun, 9 Jan 2022 17:59:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Resource leak detection not reliant, turn off

 2a0cc298 / Sun, 9 Jan 2022 17:54:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * But VC1 can be removed from encoding

 582eeb61 / Sun, 9 Jan 2022 17:52:04 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revert "Remove references to VC1/WVM3: WMV is not supported"

 26e44420 / Sun, 9 Jan 2022 17:33:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add cppcheck to Jenkins CI

 9d60d952 / Sun, 9 Jan 2022 17:32:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove references to VC1/WVM3: WMV is not supported

 c87e4148 / Sun, 9 Jan 2022 17:29:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 3560e303 / Sun, 9 Jan 2022 17:29:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make cppcheck break build make when it finds an error

 5c617f2e / Sun, 9 Jan 2022 11:21:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * For JPG framesets, change compliance to UNOFFICAL. Sometimes the pixel forat requires 'non-standard' JPGs.

 a19b2312 / Sun, 9 Jan 2022 11:15:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 f8030d36 / Sun, 9 Jan 2022 11:15:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix build with latest API

 7378bcde / Sun, 9 Jan 2022 11:14:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix crash im metadata binary on machines with self-built ffmpeg

 cc43a785 / Sun, 9 Jan 2022 00:45:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * improvements due to cppcheck hints

 af002153 / Sun, 9 Jan 2022 00:30:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * improvements due to cppcheck hints

 9f954f0a / Sat, 8 Jan 2022 23:46:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 58007b71 / Sat, 8 Jan 2022 23:17:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Activate cppcheck Lots of code improvements due to cppcheck hints

 e3613612 / Sat, 8 Jan 2022 23:17:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Activate cppcheck Lots of code improvements due to cppcheck hints

 0e91b42d / Sat, 8 Jan 2022 22:52:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * make cppcheck removed

 68178dd0 / Sat, 8 Jan 2022 22:38:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set path-ignore

 da7e5328 / Sat, 8 Jan 2022 22:35:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 195c54ef / Sat, 8 Jan 2022 22:35:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Also collect build logs

 0b60e788 / Sat, 8 Jan 2022 08:24:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix ignores

 0ae4c36f / Sat, 8 Jan 2022 06:57:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move badges into one line

 9f927927 / Sat, 8 Jan 2022 06:35:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #67: better file size prediction for audio streams

 d9da3529 / Fri, 7 Jan 2022 21:45:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Documentation

 c3758b5f / Fri, 7 Jan 2022 21:42:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix crash when video has no audio

 c0ce263d / Fri, 7 Jan 2022 21:39:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #119: Properly synchronise frame set access

 78963dfe / Thu, 6 Jan 2022 14:20:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Type: We are in 2022, not 2020

 034ed971 / Thu, 6 Jan 2022 08:39:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Comment cron settings

 c445961b / Thu, 6 Jan 2022 08:19:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Ignore files that do not go into the build

 dc270c60 / Wed, 5 Jan 2022 21:44:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #116 from nschlia/nschlia-patch-code-analysis

 d7e9abd5 / Wed, 5 Jan 2022 21:25:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #117 / closes #118: added cast to avoid overflow

 0a776d26 / Wed, 5 Jan 2022 20:47:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable build

 3e448f8d / Wed, 5 Jan 2022 20:39:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Disable autobuild

 f17e2611 / Wed, 5 Jan 2022 20:25:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set up code analysis

 4dc3a37b / Wed, 5 Jan 2022 20:15:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #115 from nschlia/nschlia-patch-ci

 e4aa3766 / Wed, 5 Jan 2022 18:26:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Include c++ build badge

 56921cac / Wed, 5 Jan 2022 18:13:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log current gcc/FFmpeg version

 3957a31b / Wed, 5 Jan 2022 18:05:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Include Docker image build badge

 531ff217 / Wed, 5 Jan 2022 17:35:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Even more FLAC tags

 399419da / Wed, 5 Jan 2022 17:23:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix some checks for FFmpeg 4.2

 96211f07 / Wed, 5 Jan 2022 17:08:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Always collect test results

 5e277c07 / Wed, 5 Jan 2022 16:53:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Correct workspace path???

 a58d31c4 / Wed, 5 Jan 2022 16:44:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove already available stuff from prereq list

 131d9e9c / Wed, 5 Jan 2022 16:30:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Collect artifacts

 e6a41aa6 / Wed, 5 Jan 2022 16:05:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove duplicates and alreaady available

 8a6365ed / Wed, 5 Jan 2022 15:53:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Need sudo

 3b5332d9 / Wed, 5 Jan 2022 15:48:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prerequisites

 227c2bef / Wed, 5 Jan 2022 15:43:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Install preqisites

 1ff48179 / Wed, 5 Jan 2022 15:28:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set up CI

 e6fb9e99 / Wed, 5 Jan 2022 14:21:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Include Dockerfile

 6eee82e7 / Wed, 5 Jan 2022 14:20:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Implement get_filetype_text() as inverse for get_filetype()

 dc79b181 / Wed, 5 Jan 2022 14:17:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 8f8f8765 / Wed, 5 Jan 2022 13:49:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix docker detection #113 - I think it*s a bit too early to use the logging facilty here. Using stderr instead.

 269e1726 / Wed, 5 Jan 2022 13:42:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #113 from igor-epam/#113-Fix-docker-detection

 d46ddf2e / Wed, 5 Jan 2022 14:47:25 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Update ffmpeg_utils.cc

 8bec1df7 / Wed, 5 Jan 2022 09:22:43 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Merge branch 'master' into #113-Fix-docker-detection

 fb61e5b0 / Tue, 4 Jan 2022 21:45:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * test_frameset should actually not be called directly...

 b632db2b / Tue, 4 Jan 2022 22:07:41 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Update ffmpeg_utils.cc

 719e718e / Tue, 4 Jan 2022 20:07:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #110: Documentation

 32f5e467 / Tue, 4 Jan 2022 19:55:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #112: Documentation

 11d1c744 / Tue, 4 Jan 2022 19:42:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix formatting

 2b9c3aac / Tue, 4 Jan 2022 19:39:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #112: add --cgroupns host to Docker run command

 0156a83a / Tue, 4 Jan 2022 16:05:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * docker build: Add missing --build-arg

 fd8b0e23 / Tue, 4 Jan 2022 17:29:18 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Create ffmpeg_utils.cc

 6565590c / Tue, 4 Jan 2022 14:02:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #111 from igor-epam/master

 82378511 / Tue, 4 Jan 2022 15:46:38 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Update Dockerfile

 9299b120 / Tue, 4 Jan 2022 14:37:56 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Update Dockerfile

 fcbec670 / Tue, 4 Jan 2022 14:34:43 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Update Dockerfile

 f2b92673 / Tue, 4 Jan 2022 14:26:08 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Update Dockerfile

 9ceb4f2e / Tue, 4 Jan 2022 14:24:28 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Update Dockerfile

 9638d03c / Tue, 4 Jan 2022 14:17:05 +0300
 igor-epam <38714065+igor-epam@users.noreply.github.com>
  * Create docker-image.yml

 46dc4030 / Tue, 4 Jan 2022 09:32:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes Issue #110: use libdvdread4 or libdvdread8 whatever available

 9e59c611 / Mon, 3 Jan 2022 16:04:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cosmetical: Declare big bunch of variables const

 81c8395f / Mon, 3 Jan 2022 15:32:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make list_options static

 342301c7 / Mon, 3 Jan 2022 15:32:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 591352b7 / Mon, 3 Jan 2022 15:32:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 a5e1b198 / Mon, 3 Jan 2022 09:31:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #67: FLAC file size prediction

 160afa96 / Mon, 3 Jan 2022 09:29:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Ensure file size check uses the correct size

 a27fa073 / Mon, 3 Jan 2022 09:28:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 5d397a36 / Mon, 3 Jan 2022 09:25:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 1b4c18f5 / Sat, 1 Jan 2022 15:17:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * (c) until 2022

 bb8045d4 / Sat, 1 Jan 2022 15:15:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Silence implicit-int-conversion in Fuse API code when built with clang

 1727649c / Sat, 1 Jan 2022 15:14:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make (c) header smaller

 deb9bb6a / Mon, 27 Dec 2021 08:31:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move install section up

 60070744 / Mon, 20 Dec 2021 14:01:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen

 87a6eb5e / Mon, 20 Dec 2021 13:48:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #109: Documentation/help

 66b6246c / Mon, 20 Dec 2021 13:47:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Convert 2.9 news to bullet list

 80ad45d4 / Mon, 20 Dec 2021 13:46:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix audio/videocodec tables

 5f30139b / Thu, 16 Dec 2021 21:21:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revert file delition

 56550492 / Thu, 16 Dec 2021 20:19:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #109: extend to audio/video

 23223734 / Thu, 16 Dec 2021 20:06:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #109: Apply patch provideed by kimmot

 9475d110 / Thu, 16 Dec 2021 19:54:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log currently processed file

 3344bf90 / Tue, 7 Dec 2021 20:00:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add bullseye backports

 614ba0d3 / Tue, 7 Dec 2021 19:47:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #97: Update documention

 38c55d3b / Tue, 7 Dec 2021 19:45:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #97: Update documention

 8b247261 / Tue, 7 Dec 2021 14:19:33 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #97: Update codec list

 1aea8c26 / Tue, 7 Dec 2021 14:19:11 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #105: Add FLAC to help

 3698e13f / Tue, 7 Dec 2021 14:18:12 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Forgot to mention TS/HLS in video formats

 ee6306df / Tue, 7 Dec 2021 13:47:03 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #97: Complete error messages

 0844166e / Tue, 7 Dec 2021 13:45:26 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Generalise variable and function names

 5abb244b / Tue, 7 Dec 2021 13:31:57 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Enhanced logging

 208da36c / Mon, 6 Dec 2021 17:59:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update installation under Bullseye

 903daa93 / Mon, 6 Dec 2021 11:35:46 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fixed error messages

 35091550 / Mon, 6 Dec 2021 11:33:34 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #97: Fixed error message

 8b342be2 / Mon, 6 Dec 2021 11:23:59 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #97: added --audiocodec/--videocodec parameters

 ee9a5c77 / Thu, 2 Dec 2021 19:47:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Several test_video_hw tests created the same log file

 c97c5242 / Thu, 2 Dec 2021 19:47:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add some missing files to make wipe-all

 ec2679c3 / Thu, 2 Dec 2021 19:46:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add forgotten error check in docker check

 6e98e831 / Thu, 2 Dec 2021 19:45:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix mistake in comment

 8844710f / Mon, 29 Nov 2021 16:18:37 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Version to 2.9

 8ccb6457 / Mon, 29 Nov 2021 16:04:49 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Release 2.8

 4b5b90ae / Mon, 29 Nov 2021 10:21:27 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix doxygen

 15ac5caa / Sun, 28 Nov 2021 22:09:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix big endian build

 e8e3be4c / Sun, 28 Nov 2021 22:09:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix variable name clash (_errno to orgerrno)

 407bf6e8 / Sun, 28 Nov 2021 22:09:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up a bit

 724c0e69 / Fri, 26 Nov 2021 22:12:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax errors

 42394e60 / Fri, 26 Nov 2021 22:11:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax errors

 5f03521e / Fri, 26 Nov 2021 21:53:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added several missing checks

 6ac2d9d4 / Fri, 26 Nov 2021 21:52:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fixed some file site and tag tests

 428ef6df / Fri, 26 Nov 2021 20:01:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 42a58f4a / Fri, 26 Nov 2021 20:00:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #107: Create required size entries in AIFF header

 0c4ccb75 / Fri, 26 Nov 2021 19:58:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix problems with big endian CPUs

 ba6d475c / Fri, 26 Nov 2021 13:29:48 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Removed comment that was just a reminder for me

 4846b195 / Fri, 26 Nov 2021 13:29:48 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Add pack(1) sfor safety

 8e8bba3b / Thu, 25 Nov 2021 21:22:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove debug output

 18b4843e / Thu, 25 Nov 2021 17:00:36 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Closes #101: Add --audiosamplefmt option

 fdf35b14 / Thu, 25 Nov 2021 16:55:09 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Version to 2.8

 25aa9f10 / Thu, 25 Nov 2021 16:53:41 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #105: Add FLAC to checks

 f4ef7d5e / Mon, 22 Nov 2021 17:52:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatted tables

 a3a15daf / Mon, 22 Nov 2021 11:31:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Sort format list in alphabetical order

 a196b815 / Mon, 22 Nov 2021 09:45:05 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #105: Forgot FLAC in format list

 eb3ff019 / Sun, 21 Nov 2021 21:56:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix potential crash

 2e7463e8 / Sun, 21 Nov 2021 21:46:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 246baa28 / Sun, 21 Nov 2021 20:06:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #105: Add FLAC support

 43ada565 / Sun, 21 Nov 2021 20:06:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #105: Add FLAC support

 6c4408ac / Sun, 21 Nov 2021 19:32:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 177009a7 / Sun, 21 Nov 2021 19:32:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Syntax of comment corrected

 61b96e5f / Sat, 20 Nov 2021 17:42:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Code formatting

 4ab670db / Sat, 20 Nov 2021 17:42:02 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced error reporting: List valid options

 d504308d / Sat, 20 Nov 2021 17:38:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #99: Error message was confusing. Corrected syntax as well.

 e61cc725 / Sat, 20 Nov 2021 17:37:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Code formatting

 d7434f1e / Sat, 20 Nov 2021 17:36:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Comment formatting

 96832028 / Fri, 19 Nov 2021 08:38:26 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Refactoring

 1c0de836 / Wed, 17 Nov 2021 22:51:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #100: Do no try to add album arts if not supported by destination format

 c7ca7718 / Wed, 17 Nov 2021 22:51:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid crashes in rare cases

 fe40a9f6 / Wed, 17 Nov 2021 06:54:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax error. Remove confusing information.

 135efeac / Wed, 17 Nov 2021 06:50:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #91: Applies to HLS only

 52bb0f8b / Wed, 17 Nov 2021 06:47:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add version to branch table

 e647345f / Wed, 17 Nov 2021 06:43:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Feature branch (FB) deleted

 76eae261 / Mon, 15 Nov 2021 20:15:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #103: Discard segment seek if distance too short

 0853fa92 / Mon, 15 Nov 2021 20:14:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen texts

 19a4f443 / Mon, 15 Nov 2021 20:13:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix format

 7d250c32 / Mon, 15 Nov 2021 20:13:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #91: Documentation

 82a6f76d / Mon, 15 Nov 2021 20:11:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #102: Documentation

 945038cc / Mon, 15 Nov 2021 09:35:42 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Closes #102: Do not append to cache files when writing.

 360d63b8 / Mon, 15 Nov 2021 09:34:28 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #102: Make sure that the cache is clean when transcoding starts.

 7265f8b8 / Mon, 15 Nov 2021 09:31:05 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Issue #102: Make all SQL queries where case sensitive

 3cc8f9de / Mon, 15 Nov 2021 09:29:42 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Cosmetical: Trace output of parameters of audio and video: codec/bitrate in same order

 b7d0e276 / Mon, 15 Nov 2021 09:28:29 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Change nocasecompare() to match Doygen documentation

 e71f05f8 / Thu, 11 Nov 2021 20:27:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 1610abef / Thu, 11 Nov 2021 20:22:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Info about 2.7

 0cbc69b0 / Tue, 9 Nov 2021 20:30:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change to 4 columns

 5f74d6bc / Tue, 9 Nov 2021 20:26:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add packaging status

 5d5097ea / Mon, 8 Nov 2021 15:14:41 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Prepare release 2.7

 75bfb449 / Mon, 8 Nov 2021 06:47:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments

 13b2c137 / Sat, 6 Nov 2021 12:48:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #99: Report command line error if --desttype specifies audio format first

 dd8da955 / Sat, 6 Nov 2021 12:47:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #99: Report command line error if --desttype specifies audio format first

 a3330407 / Fri, 5 Nov 2021 11:26:24 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Closes #96: Fixed potential buffer overrun when reading corrupted input files

 d8ceb336 / Fri, 5 Nov 2021 11:26:24 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Closes #96: Fixed potential buffer overrun when reading corrupted input files

 6229382d / Fri, 5 Nov 2021 11:16:44 +0100
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * refactoring

 8bf2856f / Sun, 31 Oct 2021 20:18:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add 'General problems' paragraph

 068f912d / Sun, 31 Oct 2021 20:18:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set correct target duration in m3u8

 b82c7543 / Sun, 24 Oct 2021 08:53:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update FFmpeg versions in distros

 5d2a08e9 / Sun, 24 Oct 2021 08:43:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Updated "Planned Features"

 8ffe78fd / Sun, 24 Oct 2021 08:37:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set correct GCC and Clang versions

 dc8ed905 / Thu, 21 Oct 2021 07:04:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add manpages to Doxygen

 f8d43eba / Thu, 21 Oct 2021 07:03:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move history to separate file, became quite lengthy

 231b7925 / Thu, 21 Oct 2021 07:02:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #92: Add command line option to block hardware decoding for selected codecs and profiles

 5d79f21f / Thu, 21 Oct 2021 06:56:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Corrected doxy comment of get_hwaccel

 e2e33c6d / Thu, 21 Oct 2021 06:54:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better error reporting for command line: also mention parameter name

 6d86f8a2 / Thu, 21 Oct 2021 06:49:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 f6021cea / Thu, 21 Oct 2021 06:45:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 43069eb1 / Thu, 21 Oct 2021 06:45:44 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bullseye paragraph first, then Buster, since Bullseye is the current distro

 f468e9e4 / Tue, 19 Oct 2021 09:53:54 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix some debug output

 4ea3332d / Tue, 19 Oct 2021 09:51:20 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Formatting fixed

 85b06ed9 / Sat, 16 Oct 2021 12:21:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in log

 89414f8c / Sat, 16 Oct 2021 12:21:39 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log that error comes from video frame

 cfdb1ad9 / Sat, 16 Oct 2021 12:19:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #92: Handle unexpected EAGAIN as an error, abort transcoding. Fixes the crash.

 7fe4d08d / Fri, 24 Sep 2021 20:10:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix opus audio checks for Raspbian Bullseye

 bf53b32f / Thu, 23 Sep 2021 22:41:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Even more typos

 3521115b / Thu, 23 Sep 2021 22:36:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Another typo

 4eea37e5 / Thu, 23 Sep 2021 22:33:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 eb144eac / Mon, 20 Sep 2021 08:00:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxyfile warnings

 e498f454 / Mon, 20 Sep 2021 07:59:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update Doxfile to 1.9.1

 2391bd59 / Mon, 20 Sep 2021 07:58:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Corrected text formatting

 b476450d / Sun, 19 Sep 2021 11:51:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update README.md

 366e7bef / Sun, 19 Sep 2021 11:50:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update README.md

 9bdf843e / Sun, 19 Sep 2021 11:50:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update news for 2.7

 6c6d0a3c / Sat, 11 Sep 2021 21:40:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.7

 f5e7e555 / Sat, 11 Sep 2021 21:40:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix three typos in log entries and docs

 01788768 / Sat, 4 Sep 2021 16:53:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/FB'

 304dff67 / Sat, 4 Sep 2021 16:37:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare 2.4 release

 c3b5b0ad / Wed, 1 Sep 2021 18:57:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix compiler warning

 3d247fbe / Wed, 1 Sep 2021 18:57:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove non working scan_all_pmts option

 e1a435bb / Mon, 30 Aug 2021 12:09:18 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge remote-tracking branch 'origin/master' into FB

 fd9d0519 / Mon, 30 Aug 2021 12:09:06 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Line too long, added line break

 bed82b2d / Mon, 30 Aug 2021 12:07:43 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge remote-tracking branch 'origin/master' into FB

 a2376c50 / Mon, 30 Aug 2021 12:07:25 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Update with issue #90

 2f514c64 / Mon, 30 Aug 2021 12:02:40 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge remote-tracking branch 'origin/master' into FB

 b5830798 / Mon, 30 Aug 2021 12:01:16 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Closes issue #90: Make sure that one keyframe gets inserted only Reset GOP counter after key frame to make sure next key frame is inserted after gop_size frames Correctly handle start_time

 673de298 / Mon, 30 Aug 2021 12:00:32 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix log entry using wrong format string

 6422536e / Mon, 30 Aug 2021 11:58:40 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix build with N-102799-g49e3a8165c Suddenly libavutil/channel_layout.h rquired for av_get_channel_layout_string()

 affcbec0 / Mon, 30 Aug 2021 11:57:13 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Set potentially uninialised member to 0

 9d391d62 / Mon, 30 Aug 2021 11:55:26 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix checks for N-102799-g49e3a8165c and newer

 c2ca7afb / Sun, 27 Jun 2021 21:27:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 1f26df7b / Sun, 27 Jun 2021 21:26:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 beeb3ba8 / Sun, 27 Jun 2021 21:24:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add headers required for daily checkout (N-102799-g49e3a8165c)

 ab127aed / Sun, 27 Jun 2021 21:22:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix size check for daily checkout (N-102799-g49e3a8165c)

 39f197c9 / Mon, 21 Jun 2021 22:20:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 f264b1a9 / Mon, 21 Jun 2021 22:18:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo in comment

 bc8967c0 / Mon, 21 Jun 2021 22:18:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update to v2.4

 6fef7063 / Mon, 21 Jun 2021 22:17:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Debian 11 now tested with 4.3.2-0+deb11u2

 e34b3623 / Mon, 21 Jun 2021 22:13:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Debian 11 now tested with 4.3.2-0+deb11u2

 3e30367b / Mon, 21 Jun 2021 22:12:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update for upcoming V2.6

 ad548609 / Mon, 21 Jun 2021 22:10:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 5901f883 / Mon, 21 Jun 2021 22:10:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update info and fix syntax

 31665c95 / Fri, 18 Jun 2021 12:54:44 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare release 2.5

 16a669bd / Fri, 18 Jun 2021 12:50:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare Release 2-5

 56655506 / Fri, 18 Jun 2021 12:41:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 78ca9c62 / Fri, 18 Jun 2021 12:40:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos/format, update information

 71e83fb8 / Sat, 12 Jun 2021 14:42:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 16effd56 / Sat, 12 Jun 2021 14:41:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update information about 2.4/2.5 releases

 a856454c / Fri, 11 Jun 2021 12:15:24 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge remote-tracking branch 'origin/master' into FB

 843b1aaf / Fri, 11 Jun 2021 12:14:22 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Release V2.3

 f2898680 / Wed, 9 Jun 2021 21:02:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change version date to Juli 2021

 674834a4 / Wed, 9 Jun 2021 21:01:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 491ec8bb / Wed, 9 Jun 2021 21:01:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change version date to Juli 2021

 b65b470e / Wed, 9 Jun 2021 09:57:11 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge remote-tracking branch 'origin/master' into FB

 3e4bfa91 / Wed, 9 Jun 2021 09:56:35 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Fix warning

 a4a1465f / Wed, 9 Jun 2021 09:56:22 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Refactoring

 1fc5f131 / Wed, 9 Jun 2021 09:55:38 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Formatting

 a983d9e3 / Mon, 7 Jun 2021 10:12:04 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge branch 'FB' of https://github.com/nschlia/ffmpegfs into FB

 29d41e4b / Mon, 7 Jun 2021 07:09:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix video file size check

 2668220e / Mon, 7 Jun 2021 07:09:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doxy comments

 ec0823d1 / Mon, 7 Jun 2021 07:08:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean HW acceleration API list

 09761ece / Mon, 7 Jun 2021 06:52:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #87: Segments are now properly separated, making sure that e.g. segment 3 only goes from 30 seconds up to 40 (including 30, but not 40 seconds). Issue #88: HLS audio and video now stay in sync after longer playback (more than 30 minutes) or after seek operations.

 51871ecd / Mon, 7 Jun 2021 06:51:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use non-interleaved packet writing now

 4cf5dd92 / Mon, 7 Jun 2021 06:49:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 cfc0cec2 / Mon, 7 Jun 2021 06:38:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix ffmpeg_rescale

 f4bba69d / Mon, 7 Jun 2021 06:36:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen comments Fix comments Formatting

 258ad850 / Thu, 20 May 2021 20:59:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Oops. Removed test code

 c925a0ef / Thu, 20 May 2021 18:58:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix hw accel check

 085c0888 / Thu, 20 May 2021 18:58:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update docs/source: remove unsupported APIs

 6a7a55f7 / Wed, 19 May 2021 09:02:29 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge branch 'FB' of https://github.com/nschlia/ffmpegfs into FB

 d4bb85a4 / Tue, 18 May 2021 19:22:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 5096b1ed / Tue, 18 May 2021 19:22:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos/grammar\nFormatting\nUpdate hw accel list

 086134d1 / Tue, 18 May 2021 14:03:56 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Merge remote-tracking branch 'origin/master' into FB

 db32ea7b / Tue, 18 May 2021 14:02:15 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Reporting "Created new format context and check for cue sheet" as debug level is sufficient

 c337aa27 / Tue, 18 May 2021 14:01:29 +0200
 Norbert Schlia <norbert.schlia@foerstergroup.com>
  * Add several files that can be ignored

 1fb3cf33 / Sun, 16 May 2021 22:32:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 84ba221e / Sun, 16 May 2021 22:31:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 ae4614ad / Sun, 16 May 2021 22:29:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bring documentation up to date

 a5426191 / Sun, 16 May 2021 17:22:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Date to xx-05-21

 c7de18a4 / Sun, 16 May 2021 17:22:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 20166cc8 / Sun, 16 May 2021 17:14:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 3fa26fd3 / Sun, 16 May 2021 16:52:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #80: Open input video codec, but only if target supports

 97b06d5e / Sun, 16 May 2021 16:52:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #80: Open input video codec, but only if target supports

 8774a99c / Sun, 16 May 2021 16:49:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 f2e9526e / Sun, 16 May 2021 16:49:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Report skipped files due to no audio stream at debug level

 8b49759e / Sun, 16 May 2021 16:42:45 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update comments

 069db684 / Sun, 16 May 2021 13:50:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 6757f083 / Sun, 16 May 2021 13:50:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove forgotten debug output

 06fae3ed / Sun, 16 May 2021 12:50:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 31bdb4a1 / Sun, 16 May 2021 12:50:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #81: if target does not support audio, hide video only files

 bc638743 / Sun, 16 May 2021 12:49:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added 440Hz sine tone to frame_test_pal.mp4 to have an audio stream in it

 733a26ce / Thu, 13 May 2021 22:12:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bring README up to date

 be3f55b6 / Thu, 13 May 2021 22:11:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 e7f4f331 / Thu, 13 May 2021 22:10:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bring README up to date

 41614a0c / Fri, 7 May 2021 21:28:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 d31473f3 / Fri, 7 May 2021 21:23:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * find_original fallback method to correctly handle new filename format (extension added, not the original one replaced)

 1596ca4d / Fri, 7 May 2021 21:18:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update checks to correctly handle new filename format (extension added, not the original one replaced)

 989b9047 / Wed, 5 May 2021 20:05:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format comments

 d099f4a2 / Wed, 5 May 2021 20:04:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 39fd536f / Wed, 5 May 2021 20:01:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Feature: Issue #73: Cue sheet tracks now play "gapless" if played in order. Whenever a track is started, the next track will automatically be transcoded as well. Feature: Issue #66 and issue #82: Added cue sheet support. If a file with cue extension is found with the same name as a media file or if a cue sheet is embedded into it (a tag named CUESHEET), tracks defined in it will show up in a  virtual directory.

 af5a55b2 / Wed, 5 May 2021 19:59:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Added --enable-debug configure option

 37696117 / Wed, 5 May 2021 19:57:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Renamed log levels to avoid collisions with DEBUG/NDEBUG macros

 950fba1b / Tue, 4 May 2021 06:47:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 e9d9432a / Tue, 4 May 2021 06:47:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove conversion for embedded cue sheet, already comes as UTF-8

 f5e28761 / Mon, 3 May 2021 18:53:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 0e24b734 / Mon, 3 May 2021 18:52:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #82: add support for embedded cue sheets

 4c3b2acf / Mon, 3 May 2021 18:50:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 fa9df5bf / Sun, 2 May 2021 17:32:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 a69dd408 / Sun, 2 May 2021 17:32:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * make check: webm can even be larger...

 47268225 / Sun, 2 May 2021 17:28:25 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 9f59abf3 / Sun, 2 May 2021 17:25:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * make check: adopt file size variations with latest FFmpeg

 c42fbb57 / Sun, 2 May 2021 17:24:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * make check: ignore suddenly appearing vender tag

 d8a99fd8 / Sun, 2 May 2021 17:24:25 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * refactoring

 ea549104 / Sun, 2 May 2021 17:23:56 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Code formatting

 bfabb41f / Thu, 29 Apr 2021 21:39:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 6caec96d / Thu, 29 Apr 2021 21:38:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix audio checks with latest FFmpeg

 cc264e37 / Wed, 28 Apr 2021 22:35:45 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Version 2.5 date until 05/21

 0c62ea80 / Wed, 28 Apr 2021 22:34:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  *   New const functions are not compatible with the old API, need #if/#else blocks.     LAVF_DEP_AV_INIT_PACKET should rather be LAVC_DEP_AV_INIT_PACKET   Fix make checks

 716eab50 / Wed, 28 Apr 2021 22:34:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 5ef63c26 / Wed, 28 Apr 2021 22:25:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Made links relative

 ad115346 / Wed, 28 Apr 2021 22:24:23 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Note that avresample had been removed. swresample is preferred anyway.

 c77050f2 / Wed, 28 Apr 2021 22:23:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fixed deprecation: 2021-03-17 - f7db77bd87 - lavc 58.133.100 - codec.h Deprecated av_init_packet() Fixed API compatitbility: Many pointers made const as of 2021-04-27. Although reasonable, this breaks API compatibility with versions older than 59.0.100,

 8a34f3ff / Tue, 13 Apr 2021 12:23:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change "Much thanks" to "Many thanks", more appropiate in writing

 f487f03f / Mon, 8 Feb 2021 21:01:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 5c37dea7 / Mon, 8 Feb 2021 09:01:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set 2.3 date to February

 f86b3317 / Sun, 7 Feb 2021 23:17:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Updated gcc version

 b71576d6 / Sun, 7 Feb 2021 23:17:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Updated gcc version

 991c753f / Sun, 7 Feb 2021 22:16:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revert "libiconv must be expicitly linked with Buster"

 a62f72ff / Sun, 7 Feb 2021 20:29:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * libiconv must be expicitly linked with Buster

 da6cfdac / Sun, 7 Feb 2021 18:50:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Adopt new branch

 f7edb1a6 / Sun, 7 Feb 2021 18:31:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #83: charset conversion for cue files

 7a50f842 / Sun, 7 Feb 2021 16:36:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 4b48e741 / Sun, 7 Feb 2021 16:36:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 7160f78e / Sun, 7 Feb 2021 16:36:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax error

 cbe607f4 / Sun, 7 Feb 2021 14:12:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update doxygen comments

 4d7bd99e / Sun, 7 Feb 2021 12:42:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #83: charset conversion for cue files

 406c1d73 / Sun, 7 Feb 2021 09:26:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 e79d200f / Sun, 7 Feb 2021 09:26:04 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 527f4ce2 / Sun, 7 Feb 2021 09:24:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax

 e8cb8879 / Sat, 6 Feb 2021 11:47:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * "Running inside Docker." was logged when actually *NOT* running under Docker... :)

 7019fda6 / Sat, 6 Feb 2021 11:36:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 8263222d / Sat, 6 Feb 2021 11:34:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 188035ce / Sat, 6 Feb 2021 11:32:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare 2.2 release

 8212c270 / Mon, 1 Feb 2021 10:13:33 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Release date to 02/2021

 827f7be7 / Mon, 1 Feb 2021 10:12:10 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Correct syntax

 5a90ede0 / Mon, 1 Feb 2021 10:11:53 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Release date to 02/2021

 95c54e26 / Mon, 1 Feb 2021 10:10:52 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 98400930 / Mon, 1 Feb 2021 10:09:57 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 cb56c989 / Mon, 1 Feb 2021 10:09:21 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Release date to 02/2021

 e7e0dfcf / Mon, 1 Feb 2021 09:10:52 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Issue #79: Update Docker documentation

 9a2b8fa8 / Sun, 31 Jan 2021 22:21:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update README.md

 8f6aecc8 / Sun, 31 Jan 2021 22:19:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #79: Documenation Docker support

 ecb8b147 / Sun, 31 Jan 2021 22:16:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 ac603636 / Sun, 31 Jan 2021 22:15:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 3efbf840 / Sun, 31 Jan 2021 22:15:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add hyperlinks

 699fd7e5 / Sun, 31 Jan 2021 22:13:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #79 Added Docker support

 a3c823d6 / Sun, 31 Jan 2021 22:12:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add hyperlinks

 8b185829 / Sun, 31 Jan 2021 22:10:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #78: Add missing comment about ALBUM_ARTIST handling

 652b46fc / Sun, 31 Jan 2021 22:08:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 3bebb24c / Sun, 31 Jan 2021 17:37:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 e27618a4 / Sun, 31 Jan 2021 17:36:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 a11f772c / Sun, 31 Jan 2021 17:36:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update docs

 552941b5 / Sun, 31 Jan 2021 14:45:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 e139eb65 / Sun, 31 Jan 2021 14:45:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 8c9c0a4b / Sun, 31 Jan 2021 14:40:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #75: Fix crash when opening mp3 output with dolphin

 d5c9d86e / Sun, 31 Jan 2021 14:39:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 23482449 / Sun, 31 Jan 2021 14:38:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid possible crash in FFmpeg_Transcoder::encode_video_frame if output has no video

 e6ce008e / Thu, 28 Jan 2021 22:57:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #78: update docs

 a1b1afe6 / Thu, 28 Jan 2021 22:42:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #78: duplicate ARTIST tag

 4971cfb4 / Thu, 28 Jan 2021 22:39:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #78: duplicate ARTIST tag

 ca534cd7 / Wed, 27 Jan 2021 23:08:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #79: Detect if running inside Docker, allow mounting over docker outside mount

 22c3130b / Thu, 21 Jan 2021 09:36:08 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 48f8b451 / Thu, 21 Jan 2021 09:33:54 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 c552c73a / Thu, 21 Jan 2021 09:33:25 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Update V2.2 fix list

 a9fe893c / Tue, 19 Jan 2021 13:53:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 e4a48e22 / Tue, 19 Jan 2021 13:53:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 b3f3daed / Tue, 19 Jan 2021 12:27:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #71: update NEWS

 0270d354 / Tue, 19 Jan 2021 08:27:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 85869fe2 / Tue, 19 Jan 2021 08:26:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 48fb471e / Tue, 19 Jan 2021 08:24:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove debug output

 1cf446fd / Tue, 19 Jan 2021 08:24:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 94dbf17a / Tue, 19 Jan 2021 08:21:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #71: add missing ./..

 64e961e8 / Mon, 18 Jan 2021 20:39:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 2324379c / Mon, 18 Jan 2021 08:10:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  *  Issue #66: fix virtual directory generation

 439b3231 / Mon, 18 Jan 2021 08:08:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  *  Remove debug logging

 4a102106 / Mon, 18 Jan 2021 08:06:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #66: Update genre and date from cue sheet Don*t delete tags if no data provided by cue sheet

 0e88b3db / Mon, 18 Jan 2021 08:02:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  *  Issue #66 and issue #72: update TRACKTOTAL and DURATION

 d5699bc2 / Mon, 18 Jan 2021 08:01:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 f3024d30 / Sat, 16 Jan 2021 23:19:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #66 and issue #72: update tags from cue sheet

 c764a2e8 / Sat, 16 Jan 2021 23:18:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Feature #2624: fix cache

 e3d278df / Sat, 16 Jan 2021 23:17:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Feature #2624: predict file sizes and update to actual size when finished

 c24ad85b / Sat, 16 Jan 2021 22:00:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix build

 2973dee9 / Sat, 16 Jan 2021 21:45:28 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 52b26aa0 / Sat, 16 Jan 2021 21:42:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Need default parameter for copy_metadata

 5cb5a9b2 / Sat, 16 Jan 2021 21:40:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 ec1378b4 / Sat, 16 Jan 2021 21:39:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Should report destination name in transcoder_set_filesize

 597e3274 / Sat, 16 Jan 2021 21:32:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin' into VERSION_2.3

 e9c5c1ed / Sat, 16 Jan 2021 21:23:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 a9f05845 / Sat, 16 Jan 2021 21:22:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' into FB

 d7c014ea / Sat, 16 Jan 2021 21:18:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update todo list

 18736f55 / Sat, 16 Jan 2021 21:17:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 65016aac / Sat, 16 Jan 2021 21:17:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 82b4a022 / Sat, 16 Jan 2021 21:16:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid possible crash in transcoder_predict_filesize

 84b83b1a / Sat, 16 Jan 2021 21:16:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 82378920 / Sat, 16 Jan 2021 21:14:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 487686dd / Sat, 16 Jan 2021 21:14:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 b07db725 / Sat, 16 Jan 2021 21:12:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * User selected output bitrate must be used when input file bitrate is unknown

 ff5fcf8f / Sat, 16 Jan 2021 21:11:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable log entry when reusing cash

 7931f604 / Fri, 15 Jan 2021 22:12:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 2ca58fe8 / Fri, 15 Jan 2021 22:08:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 cfaed3c7 / Fri, 15 Jan 2021 22:06:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 802923e1 / Fri, 15 Jan 2021 20:56:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes issue #74: copy album arts from any source

 eba202fe / Fri, 15 Jan 2021 20:57:45 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 e5132979 / Fri, 15 Jan 2021 20:57:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 7cf266bd / Fri, 15 Jan 2021 20:56:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes issue #74: copy album arts from any source

 5b3e5140 / Fri, 15 Jan 2021 14:05:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix HLS size check

 4af0052a / Fri, 15 Jan 2021 08:00:04 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup: remove source file work around

 86ad51db / Fri, 15 Jan 2021 07:59:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log destination file name, not original name which might be empty for DVD etc.

 e55cb02a / Thu, 14 Jan 2021 23:32:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove debug output

 3d03bb49 / Thu, 14 Jan 2021 22:25:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revamped virtual directory handling

 e10a74c7 / Thu, 14 Jan 2021 22:23:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 0915869d / Thu, 14 Jan 2021 22:19:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 8d1ec25f / Thu, 14 Jan 2021 22:18:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Just changed key to virtpath, better sounding variable name

 a5ccafce / Thu, 14 Jan 2021 22:17:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid nullptr crash

 b5a10ce1 / Wed, 13 Jan 2021 21:03:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update API lists

 27a5d835 / Wed, 13 Jan 2021 20:59:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'VERSION_2.3' of https://github.com/nschlia/ffmpegfs into VERSION_2.3

 04746136 / Wed, 13 Jan 2021 20:57:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.3

 156f70b5 / Wed, 13 Jan 2021 20:54:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' into FB

 a1d3d1c4 / Wed, 13 Jan 2021 20:53:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' into VERSION_2.3

 6428955a / Wed, 13 Jan 2021 20:53:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Syntax

 b98cd9fa / Wed, 13 Jan 2021 20:52:53 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move FFmpeg build sections one down in directory structure

 b25de7e9 / Wed, 13 Jan 2021 20:44:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 bf7f615c / Wed, 13 Jan 2021 20:43:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'VERSION_2.3' of https://github.com/nschlia/ffmpegfs into VERSION_2.3

 6b581275 / Wed, 13 Jan 2021 20:39:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * No need to report unsupported hw accel APIs as internal warning

 4698dc18 / Wed, 13 Jan 2021 20:36:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' into FB

 350beebd / Wed, 13 Jan 2021 20:28:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix make check file sizes for Debian 11 (ffmpeg version 4.3.1-5)

 34929589 / Wed, 13 Jan 2021 20:17:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 d9ef6607 / Wed, 13 Jan 2021 20:17:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix make check file sizes for Debian 11 (ffmpeg version 4.3.1-5)

 611db567 / Mon, 11 Jan 2021 22:14:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 ea351ac2 / Mon, 11 Jan 2021 22:13:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 8e8f10b0 / Mon, 11 Jan 2021 22:13:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Corrected documentation, "make checks" should read "make check", funny this went unnoticed for over 3 years...

 a8e233d9 / Sat, 9 Jan 2021 23:07:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Print errors on screen in red

 203331d6 / Sat, 9 Jan 2021 23:05:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Adopt changes in QtCreator project

 362af5fd / Sat, 9 Jan 2021 23:01:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into VERSION_2.3

 696bd9be / Sat, 9 Jan 2021 23:01:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 86229095 / Sat, 9 Jan 2021 23:01:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #70: Fix crash when more than one HLS transcoder was started

 3d98d317 / Fri, 8 Jan 2021 09:32:23 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Issue #66: Test code for cue sheet support

 b44e5eaa / Wed, 6 Jan 2021 10:21:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * V2.5 will obviously be release somewhen 2021ish

 eda534f8 / Wed, 6 Jan 2021 10:10:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 dc034dbc / Wed, 6 Jan 2021 10:10:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Note that 2.2 is a maintenance release

 395317f9 / Wed, 6 Jan 2021 10:02:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 4b05ff54 / Wed, 6 Jan 2021 10:01:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Some (out-commented) test code

 e2f6a98d / Wed, 6 Jan 2021 10:01:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move declarations into smaller scope

 266b5d98 / Wed, 6 Jan 2021 10:00:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Should OR flags in insert_dir, not overwrite

 258269eb / Sun, 3 Jan 2021 11:28:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 d5d0c816 / Sun, 3 Jan 2021 11:27:02 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * (c) update to 2021

 65a70a28 / Sun, 3 Jan 2021 09:03:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 394c380a / Sun, 3 Jan 2021 09:03:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doxygen syntax

 849d1bc0 / Fri, 1 Jan 2021 16:01:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 07cb60d7 / Fri, 1 Jan 2021 15:53:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rearrange paragraphs/Better headline levels/Fix syntax

 72c2034b / Fri, 1 Jan 2021 15:52:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rearrange paragraphs/Better headline levels/Fix syntax

 7d78ab81 / Fri, 1 Jan 2021 15:24:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * [TOC] not supported

 f330d89a / Fri, 1 Jan 2021 15:24:31 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat, change headline levels

 eb874a86 / Thu, 31 Dec 2020 20:30:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 d7ba1a18 / Thu, 31 Dec 2020 20:28:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use nullptr, not NULL

 bc91405d / Thu, 31 Dec 2020 20:28:31 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doxygen comment

 d32230ab / Thu, 31 Dec 2020 12:53:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 5ea51708 / Thu, 31 Dec 2020 12:51:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix 'Calling virtual functions inside constructors' warning

 e7f1b3d8 / Thu, 31 Dec 2020 12:50:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log 'Detected SVCD' for SVCD

 2ea82adb / Thu, 31 Dec 2020 12:49:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove percentage from overhead comments

 0b3591e2 / Thu, 31 Dec 2020 12:48:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doxygen comments/Missing parameters

 da347484 / Wed, 30 Dec 2020 17:14:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 1ec82574 / Wed, 30 Dec 2020 17:13:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Stupid blooper. WAV and AIFF size was always calculated for a mono file, thus for stereo files only half the correct size.

 2a358c1b / Wed, 30 Dec 2020 17:13:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix syntax in comments

 db026990 / Wed, 30 Dec 2020 17:12:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 89535db5 / Wed, 30 Dec 2020 17:12:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * av_register_all(9 is deprecated, disable for newer FFmpeg API

 78d6d66d / Wed, 30 Dec 2020 17:11:02 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove unneccessary #includes Fix compiler warnings

 612a6e97 / Wed, 30 Dec 2020 17:09:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 ac94d23f / Mon, 28 Dec 2020 23:03:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 383215b5 / Mon, 28 Dec 2020 23:02:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove version numbers from installation instructions

 a8352233 / Sun, 27 Dec 2020 18:30:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bring hw accel part up to date

 89bddf41 / Sun, 27 Dec 2020 18:29:21 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 9e8bfc8d / Sun, 27 Dec 2020 18:28:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bring up to date and fix formatting

 d9d9a36d / Sun, 27 Dec 2020 12:28:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 6402e7aa / Sun, 27 Dec 2020 12:28:02 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Frame set codec should be in video column

 8f1a1c5a / Sun, 27 Dec 2020 12:18:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 1b27114d / Sun, 27 Dec 2020 12:18:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * ProRes video codec was wrong

 54393e36 / Sun, 27 Dec 2020 12:14:04 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add info about new hw accel unit tests

 13878ef5 / Sun, 27 Dec 2020 12:02:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove explaining paragraphs about hw accel, no longer experimental

 3958052c / Sun, 27 Dec 2020 11:46:28 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 c7be4de3 / Sun, 27 Dec 2020 11:46:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix markup table format

 9d651acc / Sun, 27 Dec 2020 09:40:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * If course, forgot to add these to GIT

 d920f014 / Sun, 27 Dec 2020 00:18:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add unit tests for hardware acceleration

 55c9eaab / Sun, 27 Dec 2020 00:16:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 2f300e5c / Sun, 27 Dec 2020 00:16:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Allow extra ffmpegfs options for tests

 f0c82a91 / Sun, 27 Dec 2020 00:15:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Disable unsupported HW accel APIs

 fd6b0e92 / Sat, 26 Dec 2020 16:24:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 1a35900c / Sat, 26 Dec 2020 16:23:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 ed7886ea / Sat, 26 Dec 2020 16:23:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 a15e3fe9 / Sat, 26 Dec 2020 15:45:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 341b5d35 / Sat, 26 Dec 2020 15:44:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update v2.2 news list

 fdf24fff / Sat, 26 Dec 2020 14:28:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 4e92a14e / Sat, 26 Dec 2020 14:28:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix potential memory leaks

 b45d4768 / Sat, 26 Dec 2020 14:27:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 3aa1b3b9 / Sat, 26 Dec 2020 14:27:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Oops. merge desaster, reverted bad change

 1cd33cc9 / Sat, 26 Dec 2020 14:16:04 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 7bc2cefd / Sat, 26 Dec 2020 14:10:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * More elaborate error message

 e00fe319 / Sat, 26 Dec 2020 13:36:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update @todo list

 c0cf4017 / Sat, 26 Dec 2020 13:36:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid potential nullptr access/fix possible memory leak

 4104039e / Sat, 26 Dec 2020 13:33:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring: cherry pick from FB

 3fac7800 / Sat, 26 Dec 2020 13:32:27 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 1489c26f / Sat, 26 Dec 2020 13:31:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove :: where not really required

 2fcdae52 / Sat, 26 Dec 2020 13:29:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Determine destname a bit earlier

 28fe6bfe / Sat, 26 Dec 2020 13:29:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove av_ prefix from our functions

 d54f03d3 / Sat, 26 Dec 2020 13:27:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * From FB: demote open_bestmatch_decoder/open_decoder to non-const

 5cb3b979 / Sat, 26 Dec 2020 13:25:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Avoid potential buffer overrun

 3f605a85 / Sat, 26 Dec 2020 13:24:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Possible crash in transcoder_thread: Decoder object could have been used after being freed.

 8117ee91 / Fri, 25 Dec 2020 21:31:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove debug output

 d625b3d3 / Fri, 25 Dec 2020 21:30:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Feature infos look better as headlines

 67204f56 / Fri, 25 Dec 2020 21:28:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 d71d70fd / Fri, 25 Dec 2020 21:27:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Feature infos look better as headlines

 c959a151 / Fri, 25 Dec 2020 15:53:36 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 82c750cc / Fri, 25 Dec 2020 15:52:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * V2.1 now under development

 f4583570 / Fri, 25 Dec 2020 15:42:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos/rephrase some parts

 1dbd6e4e / Fri, 25 Dec 2020 15:41:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove unsupported (Windows) formats from device type map

 25fe0345 / Fri, 25 Dec 2020 15:40:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 6c6a56bc / Fri, 25 Dec 2020 15:39:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos/rephrase some parts

 1981e2a0 / Thu, 24 Dec 2020 13:01:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 261e41a6 / Thu, 24 Dec 2020 12:56:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update bug/todo list

 020de242 / Tue, 22 Dec 2020 11:53:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove mention of experimental state

 09f28118 / Tue, 22 Dec 2020 09:48:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable fallback to software encoder if hardware fails

 301aa1f2 / Tue, 22 Dec 2020 09:47:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix memory leak

 57efeef8 / Tue, 22 Dec 2020 09:46:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix grammatics in log entry

 37b2773b / Tue, 22 Dec 2020 09:44:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Hardware accelaration no longer partly implemented

 413662b6 / Tue, 22 Dec 2020 09:43:13 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move hardware acceleration paragraphs to main README

 71014bf0 / Tue, 22 Dec 2020 09:40:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 8635ae84 / Tue, 22 Dec 2020 09:40:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rephrase one paragraph, change source language to c++11

 d7cb03fb / Sun, 20 Dec 2020 22:19:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 93f919ac / Sun, 20 Dec 2020 22:19:22 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Determine pixel formats for in/out codec only once

 fcbfb876 / Sun, 20 Dec 2020 22:18:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 a0fa9039 / Sun, 20 Dec 2020 22:17:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * More detailed log entry if output codec cannot be opened

 09bd43fb / Sun, 20 Dec 2020 22:16:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add comment about small memory leak

 9ae5ad4e / Sun, 20 Dec 2020 22:15:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 ddec5f37 / Wed, 16 Dec 2020 22:21:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'FB' of https://github.com/nschlia/ffmpegfs into FB

 e522eee9 / Wed, 16 Dec 2020 10:30:49 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Rather log destination name when operating on output files

 ae627c9c / Wed, 16 Dec 2020 10:29:53 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 b4af0041 / Wed, 16 Dec 2020 10:26:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Version set to 2.2

 17c040a4 / Mon, 14 Dec 2020 22:17:31 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Report destname for output files, filename for input

 27879046 / Mon, 14 Dec 2020 22:16:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 a30369de / Mon, 14 Dec 2020 22:08:26 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare release 2.1

 b2930e02 / Mon, 14 Dec 2020 22:07:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rather report destination name when logging operations with output files

 185ea83b / Mon, 14 Dec 2020 22:06:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Wrong trace report for SMV lockup fix corrected

 594ee09e / Mon, 14 Dec 2020 10:08:38 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 3e957f9b / Mon, 14 Dec 2020 10:07:05 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove duplicate headline

 637264a9 / Sun, 13 Dec 2020 13:01:58 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 0d5b3ccc / Sun, 13 Dec 2020 13:01:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Include links to branches

 016d5cff / Sun, 13 Dec 2020 12:56:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 19d4b05a / Sun, 13 Dec 2020 12:37:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix build table

 9c823b6d / Sun, 13 Dec 2020 12:33:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 677f5eb4 / Sun, 13 Dec 2020 12:33:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add experimental branch to build status list

 ef2105a5 / Sun, 13 Dec 2020 11:27:31 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'FB' of https://github.com/nschlia/ffmpegfs into FB

 453b7992 / Sun, 13 Dec 2020 09:16:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Retry in software if decoder cannot use hardware Fix VC1/VP9 decoder

 49cf73a3 / Sun, 13 Dec 2020 09:16:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Retry in software if decoder cannot use hardware Fix VC1/VP9 decoder

 b3d2945a / Sat, 12 Dec 2020 20:33:46 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Do not report 'Decoder 'xyz' does not support device type unknown.'

 a734ccfd / Sat, 12 Dec 2020 20:30:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Notes about MMAL VC1/MPEG1

 38f75811 / Sat, 12 Dec 2020 13:37:56 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Open matching decoder if hw buffering not supported, e.g. mmal

 fc6515e4 / Sat, 12 Dec 2020 12:50:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 567de5de / Sat, 12 Dec 2020 12:46:28 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update feature/bugfix list

 b73a0862 / Sat, 12 Dec 2020 12:45:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update FFmpeg version

 33724d64 / Sat, 12 Dec 2020 12:45:30 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rephrase comment

 1657ce1f / Sat, 12 Dec 2020 12:43:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Log decoder hardware accel types as INFO

 87bf4875 / Sat, 12 Dec 2020 12:35:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * HW pixel format can be different for de/encoder, detect separately

 08cd956e / Sat, 12 Dec 2020 12:33:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced get_hw_de/encoder name

 cb2601a2 / Sat, 12 Dec 2020 12:31:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * VC1 hardware en/decoding with VAAPI

 5444eed0 / Sat, 12 Dec 2020 12:30:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enhanced get_hw_de/encoder name

 5933f2aa / Sat, 12 Dec 2020 10:46:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Doxygen @todo should not end with a colon

 a4b06f03 / Sat, 12 Dec 2020 10:44:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 ec81cb15 / Sat, 12 Dec 2020 10:31:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Doxygen @todo should not end with a colon

 56049ea9 / Fri, 11 Dec 2020 23:38:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use correct hw pix fmt for decoder and encoder

 d467cd62 / Fri, 11 Dec 2020 21:16:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clearer error messages

 f69d3af6 / Fri, 11 Dec 2020 21:13:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 0b70d1ff / Fri, 11 Dec 2020 21:12:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 1a386f7a / Fri, 11 Dec 2020 21:05:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use std::map instead of switch to detrermine HW pixel format

 d51e77a6 / Fri, 11 Dec 2020 20:57:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Cleanup

 3f4104ff / Wed, 9 Dec 2020 19:20:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change get_format function to real member instead of static

 e6e47e89 / Wed, 9 Dec 2020 18:52:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 673dbf54 / Wed, 9 Dec 2020 18:50:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add secure version of av_hwdevice_get_type_name

 2fa7332b / Wed, 9 Dec 2020 18:47:00 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 2435421a / Wed, 9 Dec 2020 18:46:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use pointer arithmetics instead of array

 7483141c / Wed, 9 Dec 2020 18:45:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo/grammatics

 0a8cfe30 / Tue, 8 Dec 2020 19:05:15 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 078a498d / Tue, 8 Dec 2020 19:04:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove unused parameter

 1eda9757 / Tue, 8 Dec 2020 19:04:28 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing Doxygen documentation

 d1accbc6 / Tue, 8 Dec 2020 19:03:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Also document private class members

 2e1b4a80 / Sun, 6 Dec 2020 18:41:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use same pixel format everywhere

 34526a29 / Sun, 6 Dec 2020 18:38:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 a3d030e3 / Sun, 6 Dec 2020 18:38:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable --win_smb_fix by default

 82462389 / Sun, 6 Dec 2020 18:34:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * More detailed description

 cf18a35d / Sun, 6 Dec 2020 18:32:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 c33976f8 / Sun, 6 Dec 2020 15:25:41 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 112c68d1 / Sun, 6 Dec 2020 15:24:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 9b1227b3 / Sun, 6 Dec 2020 15:23:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 ba21faba / Sun, 6 Dec 2020 15:19:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Must check if opening a new HLS segment fails (avoid GPF)

 7ffa5a8c / Sun, 6 Dec 2020 15:19:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Must check if opening a new HLS segment fails (avoid GPF)

 b6665c5b / Sun, 6 Dec 2020 15:14:06 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Doxygen

 f9f98719 / Fri, 4 Dec 2020 19:20:59 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 569b7e49 / Fri, 4 Dec 2020 18:47:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better variable names

 2442f796 / Fri, 4 Dec 2020 18:46:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move debug build of FFmpeg to subfolder

 fff1ebfa / Fri, 4 Dec 2020 18:45:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set date to 12/2020

 e4afb9fe / Fri, 4 Dec 2020 18:45:14 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Removed experimental state from --win_smb_fix option

 8709c759 / Mon, 9 Nov 2020 13:06:12 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 13fed34c / Mon, 9 Nov 2020 11:48:16 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 f271650d / Mon, 9 Nov 2020 11:47:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rudimentary online help

 684d821a / Sun, 8 Nov 2020 15:24:29 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 b12ad011 / Sun, 8 Nov 2020 15:23:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.1

 f3d68068 / Sun, 8 Nov 2020 15:23:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 24529564 / Sun, 8 Nov 2020 15:22:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clearer function names

 17fd786a / Sun, 8 Nov 2020 15:22:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * More toolkit options

 6c502460 / Sat, 7 Nov 2020 21:55:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * More precise log entry of codec search fails

 4ca40902 / Sat, 7 Nov 2020 21:53:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat

 67b68345 / Sat, 7 Nov 2020 21:53:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix old-style cast

 844c8c11 / Sat, 7 Nov 2020 21:52:43 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Properly check pointers for nullptr

 9b5429a1 / Sat, 7 Nov 2020 21:51:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 a009c994 / Sat, 7 Nov 2020 21:51:03 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 6ac9faaf / Sat, 7 Nov 2020 21:46:09 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 bc07e3fc / Sat, 7 Nov 2020 21:45:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better variable names

 3a098e5f / Sat, 7 Nov 2020 21:44:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Always compare pointers with nullptr

 1ff0af7e / Sat, 7 Nov 2020 19:27:23 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Even more cend()'s

 f5b1e8f6 / Sat, 7 Nov 2020 19:21:33 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Logging of correct hw accel API and buffering

 97e15bb3 / Sat, 7 Nov 2020 17:13:37 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix clang build

 dc523dd9 / Sat, 7 Nov 2020 17:01:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 1fbef1f2 / Sat, 7 Nov 2020 16:34:07 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Redo cbegin/cend changes and add some missing c_str() reverts

 c1eddc76 / Sat, 7 Nov 2020 16:27:02 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Revert "Code revamping:"

 aca6ad28 / Sat, 7 Nov 2020 12:02:04 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Typo in comment...

 2d8b3d58 / Sat, 7 Nov 2020 12:01:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better variable names

 492ea2ef / Sat, 7 Nov 2020 11:52:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove even more superfluous c_str() accessors

 f2eae759 / Sat, 7 Nov 2020 11:47:08 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * move throw() into try block

 491328de / Sat, 7 Nov 2020 11:46:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove superfluous c_str() accessors

 58f41f73 / Sat, 7 Nov 2020 11:45:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use cbegin/cend where appropriate

 65705009 / Sat, 7 Nov 2020 11:42:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 3c6448d1 / Sat, 7 Nov 2020 11:29:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move decoder opener functionality from base to subclass, fits better in that place. Do not recreate decoder, use hint from av_find_best_stream instead

 9bbade20 / Sat, 7 Nov 2020 11:26:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove multi pixel formats from deinterlacer, we never convert pixel formats here

 9e93017c / Sat, 7 Nov 2020 11:26:02 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting/Update comments

 c9844c6e / Sat, 7 Nov 2020 11:23:49 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Code revamping: * Use cbegin/cend where appropriate * Remove .c_str() accessors where not neccessary

 ddbd6db9 / Sun, 1 Nov 2020 13:25:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * HW acceleration is planned for V2.5

 f7f1b3a5 / Sun, 1 Nov 2020 13:25:01 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 1093e611 / Sun, 1 Nov 2020 13:23:42 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set last change date to November

 25b33b0b / Sun, 1 Nov 2020 09:02:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Block avc1 FourCC files from decoding in hw, not supported

 d9c25dcc / Sun, 1 Nov 2020 09:00:31 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 b0bd3088 / Sat, 31 Oct 2020 20:13:48 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 2afd624e / Sat, 31 Oct 2020 20:13:19 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Map FFmpeg INFO to INFO and VERBOSE/DEBUG to DEBUG

 34f54559 / Sat, 31 Oct 2020 11:02:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 7d74da53 / Sat, 31 Oct 2020 11:02:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 0229dfb0 / Sat, 31 Oct 2020 11:00:44 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'FB' of https://github.com/nschlia/ffmpegfs into FB

 8a3e5b30 / Sat, 31 Oct 2020 10:43:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add V4L support

 4a94706d / Sat, 31 Oct 2020 10:43:51 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add V4L support

 9773c831 / Fri, 30 Oct 2020 23:37:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 f2689200 / Fri, 30 Oct 2020 23:35:39 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 37bfe3f2 / Fri, 30 Oct 2020 23:35:24 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs into master

 4de2e442 / Fri, 30 Oct 2020 23:32:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove reference to outdated avresample

 d2d0b253 / Fri, 30 Oct 2020 23:33:25 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 4680b45f / Fri, 30 Oct 2020 23:32:54 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove reference to outdated avresample

 d6fd16a9 / Fri, 30 Oct 2020 09:10:13 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Two fprintf(stderr changed to Logging::error

 d5c445ca / Fri, 30 Oct 2020 09:09:25 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Doxygen docummntation updated

 e18f59a4 / Fri, 30 Oct 2020 09:07:27 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 d0418756 / Fri, 30 Oct 2020 08:57:38 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Doxygen docummntation updated

 6613dc1f / Thu, 29 Oct 2020 21:01:47 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Check some pointers for nullptr to avoid crashes

 dd53430c / Thu, 29 Oct 2020 21:00:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Some reminders how to deinterlace in hardware

 22f1319d / Thu, 29 Oct 2020 20:59:50 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix crash in deinterlace function with newer FFmpeg versions

 b04817ce / Thu, 29 Oct 2020 20:59:11 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 9ee06903 / Thu, 29 Oct 2020 13:10:35 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  *   - Supported hardware: VAAPI (Intel) and MMAL/OMX (Raspberry).   - VAAPI: H264, H265/HEVC, MPEG-2 and VC-8 decoding and H264 encoding is supported.   - VAAPI: MJPEG and VC-9 do not work (yet).   - MMAL: H264, MPEG-2, MPEG-4 and VC1 decoding is supported.   - OMX: H264 encoding is supported.

 6d176347 / Thu, 29 Oct 2020 13:06:26 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Make logging a bit less chatty

 80166076 / Wed, 28 Oct 2020 20:06:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Replace 'auto' declaration with explicit one

 a8364057 / Wed, 28 Oct 2020 20:01:20 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 8164c973 / Wed, 28 Oct 2020 20:00:57 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reduce standard logging

 ce6a8e87 / Wed, 28 Oct 2020 08:00:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Disable MJPEG hw decoding, does no yet work

 f2304a4d / Wed, 28 Oct 2020 07:57:34 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 8fcd8243 / Wed, 28 Oct 2020 07:52:17 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Moved #define nearer to use

 038efe2c / Wed, 28 Oct 2020 07:51:40 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Moved 'Decoder thread running' log message to come when the thread really started

 e8361116 / Wed, 28 Oct 2020 07:50:18 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * I personally abore 'auto' declarations... Replaced all of these with full declarations

 b44e14fa / Wed, 28 Oct 2020 07:48:10 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Report correct segment duration

 bed149fc / Wed, 28 Oct 2020 07:47:32 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix compiler warning when building on Raspberry

 399936e0 / Mon, 26 Oct 2020 20:45:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update comments: list possible formats

 de97b46c / Mon, 26 Oct 2020 20:42:52 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix FFmpeg_Transcoder::get_pix_formats, failed on some source files

 1cd0069f / Mon, 26 Oct 2020 12:34:09 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Add MJPEG/MPEG-2/VP-8 hardware accelerated decoding

 d63829e2 / Mon, 26 Oct 2020 12:33:23 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Fix hardware accelerated decoding

 37ec31ea / Mon, 26 Oct 2020 12:32:01 +0100
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 13777840 / Mon, 26 Oct 2020 12:26:35 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Use FFmpeg_Transcoder::get_pix_formats to have one spot to set the pixel_fmt

 8e42b64f / Mon, 26 Oct 2020 12:25:55 +0100
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 fd822f4a / Tue, 20 Oct 2020 14:41:00 +0200
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 16adf387 / Tue, 20 Oct 2020 14:38:35 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove 1.99 info and add 2.1

 e1a28db6 / Tue, 20 Oct 2020 14:27:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Updated latest news about HW accel

 87035800 / Tue, 20 Oct 2020 14:23:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update comments for hardware accelleration

 74eb91b5 / Tue, 20 Oct 2020 10:39:29 +0200
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Refactoring

 947d4c5e / Tue, 20 Oct 2020 10:31:07 +0200
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Fix typo in log entry

 103fa230 / Tue, 20 Oct 2020 10:30:12 +0200
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 a44c84bf / Tue, 20 Oct 2020 10:29:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add BLURAY_VIDEO_FORMAT_2160P (UHD)

 3e26f4c5 / Tue, 20 Oct 2020 10:24:12 +0200
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Change order, 2.1 first, then 2.x

 a3b22477 / Tue, 20 Oct 2020 10:23:27 +0200
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * Merge remote-tracking branch 'origin/master' into FB

 66391f1e / Tue, 20 Oct 2020 10:20:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add change list for upcoming 2.1

 7fbcef68 / Sun, 18 Oct 2020 16:28:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 4ba39736 / Sun, 18 Oct 2020 16:28:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bug: did not transcode some source files with invalid DTS

 7854ab65 / Sun, 18 Oct 2020 16:21:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 b422581f / Sun, 18 Oct 2020 16:21:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring and time/date was reported twice in syslog

 41c8267e / Sun, 18 Oct 2020 16:20:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make std::string upper/lower helpers

 45127358 / Sun, 18 Oct 2020 16:19:54 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reduce log verbosity: report cache file close at TRACE level

 0b776d6f / Sun, 18 Oct 2020 16:19:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Shorter log entry when openig cache files

 6d16c6d4 / Tue, 13 Oct 2020 12:52:39 +0200
 Norbert Schlia <schlia.norbert@foerstergroup.de>
  * HW accelerated decoding

 c065bc3b / Mon, 12 Oct 2020 07:35:34 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 ef40fb82 / Mon, 12 Oct 2020 07:30:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Forgot to update README to new 2.0 version...

 44a8528e / Sun, 11 Oct 2020 23:09:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 99a6b7e5 / Sun, 11 Oct 2020 23:08:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove outdated coment

 17f1bd14 / Sun, 11 Oct 2020 23:08:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Make get_channel_layout_name/get_sample_fmt_name/get_pix_fmt_name static rather than const

 ebe733b2 / Sun, 13 Sep 2020 11:45:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 d6c787b8 / Sun, 13 Sep 2020 11:41:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare 2.0 release

 bd7f48e2 / Sun, 13 Sep 2020 09:18:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into FB

 7f2024da / Sun, 13 Sep 2020 09:18:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 d979ce46 / Sun, 13 Sep 2020 09:18:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix issue #64: Do not report error, simply skip last segment if too short

 7fddef5f / Sun, 13 Sep 2020 09:16:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Wrong error message: Should read 'video frame error', not 'audio'

 a3b05622 / Sun, 2 Aug 2020 19:56:46 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bring README and TODO up-to-date

 0239e208 / Sun, 2 Aug 2020 19:41:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Declare constructors explicit

 255594d6 / Sun, 2 Aug 2020 19:41:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix doxygen warnings

 452b243f / Sun, 2 Aug 2020 19:38:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update for new HW acceleration version

 67790506 / Sun, 2 Aug 2020 19:35:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix filesize under Debian 11

 7d626ffd / Sun, 2 Aug 2020 19:27:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Doxygen documentation

 dcf1ec71 / Sun, 2 Aug 2020 17:14:10 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add command line parameters to enable and control hardware acceleration

 16dde4e2 / Sun, 2 Aug 2020 17:08:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * List and explain new hardware acceleration features

 2effb330 / Thu, 30 Jul 2020 22:51:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove extra line break

 7c691503 / Thu, 30 Jul 2020 22:48:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typos

 c2348061 / Thu, 30 Jul 2020 22:47:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add info about hw acceleration in FB branch

 10f7cac8 / Thu, 30 Jul 2020 22:27:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #63: Experimental hardware accelarion support.

 fccafc5a / Thu, 30 Jul 2020 22:25:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update list of todos and missing features

 fbc36e70 / Thu, 30 Jul 2020 22:18:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add info about hw accel

 d4ed95fc / Thu, 30 Jul 2020 22:18:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.1

 a5f129a0 / Thu, 30 Jul 2020 13:32:44 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add extra description file for hardware acceleration

 377f834c / Thu, 30 Jul 2020 13:31:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Declare constructors explicit

 1b92a7f0 / Sun, 19 Jul 2020 21:02:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix checks for Debian Bullseye (4.3-2)

 cc2dadc0 / Sun, 19 Jul 2020 18:31:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove deprecated -Wno-psabi option

 605301c9 / Sun, 19 Jul 2020 18:22:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * "Planned features": add link

 e8b66976 / Sun, 19 Jul 2020 18:21:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add "Planned features"

 11f45403 / Sat, 18 Jul 2020 18:53:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Raspbian 10 is Buster

 032800d0 / Sat, 18 Jul 2020 18:52:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Shorten text to "Daily build"

 7097035a / Sat, 18 Jul 2020 18:51:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Removed redundant "FFmpeg"

 e68efc13 / Sat, 18 Jul 2020 18:49:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Tested Raspi version

 1495df45 / Sat, 18 Jul 2020 18:48:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Test with Raspi OK

 112ab7ae / Sat, 18 Jul 2020 18:44:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * "daily build" instead of "current FFmpeg version"

 9c24bcec / Sat, 18 Jul 2020 18:43:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set latest tested FFmpeg daily build

 5b3e834e / Sat, 18 Jul 2020 10:13:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 2.0

 3faa3c15 / Sat, 18 Jul 2020 10:09:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 bc88ce2d / Sat, 18 Jul 2020 10:02:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare V1.99 (2.0 pre-release)

 f31e6efd / Sat, 18 Jul 2020 10:02:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Prepare V1.99 (2.0 pre-release)

 44bf2d33 / Sat, 11 Jul 2020 15:15:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 9f271191 / Sat, 11 Jul 2020 10:56:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Forgot to add these...

 7fa5dd62 / Sat, 11 Jul 2020 10:39:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * unit tests should nozt combine several tests into one

 a9aa0429 / Sat, 11 Jul 2020 10:37:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * regexp now C++ compatible. Also allow icase/non icase

 e9d75c52 / Sat, 11 Jul 2020 10:31:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Re-add with up-to-date GPL-3 license text

 b0d2a829 / Sat, 11 Jul 2020 10:56:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Forgot to add these...

 5b4601e1 / Sat, 11 Jul 2020 10:39:31 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * unit tests should nozt combine several tests into one

 a8d820d3 / Sat, 11 Jul 2020 10:37:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * regexp now C++ compatible. Also allow icase/non icase

 eb0550da / Sat, 11 Jul 2020 10:32:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge pull request #62 from nschlia/LICENSE

 24dd7112 / Sat, 11 Jul 2020 10:31:16 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Create COPYING

 d27ffb09 / Sat, 11 Jul 2020 10:30:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Delete COPYING

 71a2e9ea / Sun, 5 Jul 2020 23:10:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move CC to new location

 da13eb14 / Thu, 21 May 2020 10:46:12 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * strcasecmp could recurse into death on some gcc versions, don't know why not on all

 ca887ef3 / Thu, 21 May 2020 10:44:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove superfluous bd_tell call

 d693c9dd / Thu, 21 May 2020 10:43:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Rename compare to more suitable reg_compare as its actually is using patterns

 9f36a194 / Sat, 16 May 2020 00:55:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Again: 1.98 is on Backports now

 d1ec5baf / Sat, 16 May 2020 00:55:17 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * 1.98 is on backports now

 c25a3215 / Thu, 14 May 2020 22:19:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add "Transcoding too slow" paragraph

 5f8c6c4d / Thu, 14 May 2020 22:14:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * How to build FFmpeg with optimisations

 e4713792 / Sat, 9 May 2020 21:57:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix checks

 9f98b5f5 / Sat, 9 May 2020 21:44:53 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix checks

 abd1e3b0 / Sat, 9 May 2020 21:38:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * bd_seek is guaranteed to return the correct position, no need to call bd_tell

 3e8bf1c2 / Sat, 9 May 2020 21:36:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Better use av_interleaved_write_frame, some videos happen to be garbled with av__write_frame

 dfed1768 / Sat, 9 May 2020 21:35:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Bluray chapter length is actually diff between this and next chapter -1

 627c493d / Sat, 9 May 2020 21:32:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Announce 1.98 ready

 2b706ad2 / Tue, 5 May 2020 21:35:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Changed log message if opening frame images to report frame instead of video

 5991cca6 / Tue, 5 May 2020 21:34:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Report skipped Bluray titles/chapters at trace level instead of debug, not so important

 8a4a3f10 / Tue, 5 May 2020 21:33:25 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Report 'Predicted transcoded size' at trace level instead of debug, not so important

 7326ed71 / Tue, 5 May 2020 19:39:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add reasonable defaults

 bc02b479 / Tue, 5 May 2020 19:38:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Wrong comment, 2 channels is stereo, not multi channel

 1865192c / Sat, 2 May 2020 22:01:25 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #61: Enable fix for JPG only

 36057f66 / Sat, 2 May 2020 20:32:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix checks for HLS with FFmpeg 4.1.4-1~deb10u1 (Debian 11)

 f2f20c30 / Sat, 2 May 2020 20:18:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add HLS to 'make check': sizes of files with latest build

 acd78eb1 / Sat, 2 May 2020 20:13:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #61: Fix JPG generation

 e7a21089 / Sat, 2 May 2020 20:12:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add HLS to 'make check'

 a81e0cfb / Sat, 2 May 2020 18:25:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 1ab5961e / Sat, 2 May 2020 18:11:30 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 713b0daa / Sat, 2 May 2020 18:05:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add frame sets to 'make check'

 9b757051 / Sat, 2 May 2020 18:05:29 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add frame sets to 'make check'

 ab1cf9fe / Sat, 2 May 2020 18:04:41 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #61: Fix JPG generation

 5e183b3f / Sat, 2 May 2020 18:00:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing doyxgen comment to m_reset_pts variable

 b74cb7b8 / Sat, 2 May 2020 15:28:04 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Report "could not encode image frame" instead of video frame in frame set mode

 93129217 / Fri, 1 May 2020 22:39:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Sort tests

 51dcf10e / Fri, 1 May 2020 22:32:03 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix make clean for checks (lost log files)

 5b63afe9 / Fri, 1 May 2020 06:19:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update FFmpeg compile notes

 3f6a8768 / Fri, 1 May 2020 06:11:52 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove RESTRICTIONS paragraph

 bd3eb7dc / Thu, 30 Apr 2020 21:28:18 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove forgotten test log entry

 5886666a / Thu, 30 Apr 2020 21:13:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes #58: Build files list on first direct access Fox PNG/JPG/BMP frame export: ls path/to/flles/00001.png (without wildcard) did not work

 e24346ab / Thu, 30 Apr 2020 14:24:14 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add --with-extra-version parameter to add extra version information to Linux distribution builds, e.g. append -1~deb10u1.

 70233823 / Thu, 30 Apr 2020 14:22:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Moved FFmpeg capabilities (formats) from --version/-V command to new -caps/-c parameter to keep version information brief.

 7e23ac4f / Thu, 30 Apr 2020 08:17:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reduce retry speed for frame sets

 4aba979d / Thu, 30 Apr 2020 08:17:05 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Closes  #60 - Reopen cache file after it has been closed so that image frames can be accessed after the file has been fully decoded.

 cb2f3bff / Thu, 30 Apr 2020 08:15:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add issue #57 to fix list

 4df3290e / Thu, 30 Apr 2020 08:14:51 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Mention issue #59 in fix list

 b6076d88 / Tue, 28 Apr 2020 20:44:02 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #57: expand log file path

 869e0858 / Mon, 27 Apr 2020 21:10:23 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean-up

 a71f64e5 / Mon, 27 Apr 2020 20:55:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean-up

 7c275e45 / Mon, 27 Apr 2020 20:48:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 cc00c184 / Mon, 27 Apr 2020 20:42:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * FFmpegfs has been added to the Debian repository

 a8b44f74 / Mon, 27 Apr 2020 20:42:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * FFmpegfs has been added to the Debian repository

 4ab1205a / Mon, 27 Apr 2020 20:34:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update "news" section

 a5230943 / Mon, 27 Apr 2020 17:46:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add info about installing from backports

 f8e72412 / Mon, 27 Apr 2020 09:16:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fixed issue #59

 7f312713 / Mon, 27 Apr 2020 07:18:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update HLS paragraph

 84a7d3cd / Mon, 27 Apr 2020 07:17:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 9a047b5e / Mon, 27 Apr 2020 07:10:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove HLS experimental paragraph

 f5a86dbb / Mon, 27 Apr 2020 07:10:47 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove HLS experimental paragraph

 370b1435 / Mon, 27 Apr 2020 06:50:32 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add paragraph about switching between repository installs and source builds

 962f99cb / Sun, 26 Apr 2020 23:58:26 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix size check under Debian 11

 a5bf809d / Sun, 26 Apr 2020 23:51:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix m3u8 files not correctly detected\ncloses #59

 f6b546b0 / Sun, 26 Apr 2020 23:16:45 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Debian Bug#958928: ffmpegfs FTCBFS: uses AC_RUN_IFELSE

 b26f2ea5 / Sun, 26 Apr 2020 19:43:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add HLS info/Reformat

 31304d4f / Sun, 26 Apr 2020 14:30:40 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix typo

 255e9efd / Sun, 26 Apr 2020 14:27:08 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Change format list to table

 c3464cb5 / Sun, 26 Apr 2020 12:04:25 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * 2x "you may build it yourself" in one sentence

 821790b2 / Sun, 26 Apr 2020 11:48:20 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update how to install from repository

 516beecd / Fri, 24 Apr 2020 06:42:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 1c8caef2 / Fri, 24 Apr 2020 06:42:01 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix checks for FFmpeg 4.2+ (Debian 11 and latest build)

 e4172e7e / Fri, 24 Apr 2020 06:36:43 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Forget to update file list to new checks

 828cc5c8 / Fri, 24 Apr 2020 06:34:57 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Remove --march=native, breaks build on powerpc ppc64 ppc64el

 fa74c299 / Tue, 21 Apr 2020 19:01:42 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reformat compatibility list

 a1230474 / Tue, 21 Apr 2020 10:38:38 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update checks to support Debian 11/Ubuntu 20.04 FFmpeg version and latest daily checkout

 8911a4a7 / Tue, 21 Apr 2020 08:59:13 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge branch 'master' of https://github.com/nschlia/ffmpegfs

 f3654936 / Tue, 21 Apr 2020 08:58:59 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update checks to support Debian 11/Ubuntu 20.04 FFmpeg version and latest daily checkout

 33ffcd77 / Tue, 21 Apr 2020 08:52:58 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add Debian 11/Ubuntu 20.04 to list of supported OSs Mention latest Git version of FFmpeg in list

 f1487e0f / Tue, 21 Apr 2020 08:51:45 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * curl seems to be required fpr Doxygen, add to description.

 1830ed01 / Mon, 20 Apr 2020 17:50:37 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Add missing Doxgen comments

 1cc5ac1e / Mon, 20 Apr 2020 09:08:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update HLS demo code to latest version to date

 388c5e5e / Mon, 20 Apr 2020 09:07:36 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Clean up

 327caf69 / Mon, 20 Apr 2020 09:01:19 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Clang build

 d6845b3c / Mon, 20 Apr 2020 07:47:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Move 2.x to master branch

 70a12887 / Sun, 19 Apr 2020 16:26:22 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Refactoring

 301475bb / Sun, 19 Apr 2020 16:25:56 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #56: make DEUG level entry if file is treated passthrough

 9f39f12f / Sun, 19 Apr 2020 16:24:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Syntax errors in comments

 c4c393a1 / Sun, 19 Apr 2020 16:22:15 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 460c0742 / Sun, 19 Apr 2020 16:21:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Spelling/character case

 ea376c00 / Wed, 15 Apr 2020 16:53:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 34c2d005 / Wed, 15 Apr 2020 16:52:49 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Enable experimental stuff, seems to be still required for Opus

 63185b4a / Wed, 15 Apr 2020 07:59:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 fc0574f9 / Wed, 15 Apr 2020 07:58:07 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Reduce logging verbosity a bit

 a8d0dfdd / Wed, 15 Apr 2020 07:56:21 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 2146c1a9 / Wed, 15 Apr 2020 07:55:55 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Format

 09ff7dcc / Wed, 15 Apr 2020 07:54:48 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 5759c2cc / Wed, 15 Apr 2020 07:53:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Formatting

 8965bf42 / Wed, 15 Apr 2020 00:28:33 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 1.99

 d3c7630f / Wed, 15 Apr 2020 00:26:11 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 4f81e015 / Wed, 15 Apr 2020 00:24:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Set version to 1.12

 98c001dc / Wed, 15 Apr 2020 00:12:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 6ff79183 / Wed, 15 Apr 2020 00:04:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Version date

 add956dd / Tue, 14 Apr 2020 14:42:10 +0200
 nschlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'remotes/origin/master' into release2.x

 402098c2 / Tue, 14 Apr 2020 14:36:28 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Issue #55: Add desttype=mp4 to all parameters

 0976873d / Sun, 12 Apr 2020 12:54:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Mistake in help: Default of --recodesame is NO, not NEVER

 73a89880 / Sat, 11 Apr 2020 14:12:27 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 59f993a0 / Sat, 11 Apr 2020 14:12:00 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix checks

 672c740e / Sat, 11 Apr 2020 13:56:50 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Update NEWS with last fixes

 c368a0a9 / Sat, 11 Apr 2020 13:55:24 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Merge remote-tracking branch 'origin/master' into release2.x

 42b92583 / Sat, 11 Apr 2020 13:55:06 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * --autocopy=OFF should turn off the function (according to docs and help)

 dcd52d37 / Sat, 11 Apr 2020 13:54:09 +0200
 Norbert Schlia <nschlia@oblivion-software.de>
  * Fix Issue #54: create unique filenames

 0c44bcd0 / Thu, 9 Apr 2020 18:34:31 +0200
